CFPRIME PCHMAP                                                          PCHMAP      1
C***********************************************************************RIGHTE      1
C*                                                                     *RIGHTE      2
C*        Extended Transient-Midterm Stability Program (ETMSP)         *RIGHTE      3
C*        ====================================================         *RIGHTE      4
C*                                                                     *RIGHTE      5
C*       Copyright (C) (1993) Electric Power Research Institute        *RIGHTE      6
C*                                                                     *RIGHTE      7
C* EPRI reserves all rights in the software and associated             *RIGHTE      8
C* documentation as delivered. The software and its associated         *RIGHTE      9
C* documention or any portion thereof may not be reproduced in any form*RIGHTE     10
C* whatsoever without the consent of EPRI, except as explicity provided*RIGHTE     11
C* for by license. Licensee shall submit a detailed description to EPRI*RIGHTE     12
C* of any changes or modifications to the software within two (2)      *RIGHTE     13
C* months after such changes or modifications are made. At EPRI's sole *RIGHTE     14
C* discretion, the software, as changed or modified, shall be given a  *RIGHTE     15
C* new designation sufficiently different from its then current        *RIGHTE     16
C* designation as to prevent mistake,confusion, or deception as between*RIGHTE     17
C* the current software as changed or modified.                        *RIGHTE     18
C*                                                                     *RIGHTE     19
C* A license under EPRI's rights in the software can be obtained       *RIGHTE     20
C* directly from EPRI.                                                 *RIGHTE     21
C*                                                                     *RIGHTE     22
C* This program and supporting materials may be independently available*RIGHTE     23
C* from Electric Power Software centre (EPSC) for an appropriate       *RIGHTE     24
C* distribution fee. The EPSC is a service of                          *RIGHTE     25
C*                                                                     *RIGHTE     26
C*                    Power Computing Company                          *RIGHTE     27
C*                    1930 Hi Line                                     *RIGHTE     28
C*                    Dallas, Tx 75207                                 *RIGHTE     29
C*                                                                     *RIGHTE     30
C* NEITHER EPRI, ANY MEMBER OF EPRI, NOR ANY PERSON OR  ORGANIZATION   *RIGHTE     31
C* ACTING ON BEHAVE OF THEM:                                           *RIGHTE     32
C*                                                                     *RIGHTE     33
C* 1. MAKE ANY WARRANTY OR REPRESENTATION WHATSOEVER, EXPRESS OR       *RIGHTE     34
C*    IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY OR FITNESS OR *RIGHTE     35
C*    ANY PURPOSE WITH RESPECT TO THE SOFTWARE OR ITS ASSOCIATED       *RIGHTE     36
C*    DOCUMENTATION; OR                                                *RIGHTE     37
C*                                                                     *RIGHTE     38
C* 2. ASSUMES ANY LIABILITY WHATSOEVER WITH RESPECT TO ANY USE OF THE  *RIGHTE     39
C*    SOFTWARE OR ITS ASSOCIATED DOCUMENTATION OR ANY PORTION THEREOF  *RIGHTE     40
C*    OR WITH RESPECT TO ANY DAMAGES WHICH MAY RESULT FROM SUCH USE.   *RIGHTE     41
C*                                                                     *RIGHTE     42
C* THIS NOTICE MAY NOT BE REMOVED FROM THE SOFTWARE BY ANY USER        *RIGHTE     43
C* THEREOF.                                                            *RIGHTE     44
C*                                                                     *RIGHTE     45
C***********************************************************************RIGHTE     46
      SUBROUTINE PCHMAP(IUX)                                            PCHMAP      3
CD                                                                      PCHMAP      4
CD    TO PRINT THE CHANNAL MAP OF THE MONITORED VARIABLES.              PCHMAP      5
CD                                                                      PCHMAP      6
      INCLUDE 'PARX.INS'                                                PCHMAP      7
      INCLUDE 'CNPT.INS'                                                PCHMAP      8
      INCLUDE 'CNIPTR.INS'                                              PCHMAP      9
      INCLUDE 'CNSTN.INS'                                               PCHMAP     10
      INCLUDE 'CNB0.INS'                                                PCHMAP     11
      INCLUDE 'CNB1.INS'                                                PCHMAP     12
      INCLUDE 'CNB8.INS'                                                PCHMAP     13
      INCLUDE 'CNIOUT.INS'                                              PCHMAP     14
      INCLUDE 'CNMDAT.INS'                                              PCHMAP     15
      INCLUDE 'CNUNIT.INS'                                              PCHMAP     16
      INCLUDE 'CNMON.INS'                                               PCHMAP     17
      INCLUDE 'CNFLAG.INS'                                              PCHMAP     18
      INCLUDE 'CNRAN.INS'                                               PCHMAP     19
      INCLUDE 'CNSTP.INS'                                               PCHMAP     20
      INCLUDE 'UDCA.INS'                                                PCHMAP     21
      INCLUDE 'GRDC01.INS'                                              PCHMAP     22
      INCLUDE 'CNINTE.INS'                                              PCHMAP     23
      DIMENSION LNTERF(6,NITERF)                                        PCHMAP     24
      EQUIVALENCE (LNTERF(1,1),KNTERF(1,1))                             PCHMAP     25
C                                                                       PCHMAP     26
      DIMENSION IBUF(128)                                               PCHMAP     27
C                                                                       PCHMAP     28
C                                                                       PCHMAP     29
      INTEGER*4    IUID,ITFK                                            PCHMAP     30
      CHARACTER*4  CNAME1,CNAME2,CNAME3,CNAME4                          PCHMAP     31
      CHARACTER*2  UID                                                  PCHMAP     32
      CHARACTER*4  CNAME5,CNAME6,CNAME7,CNAME8                          PCHMAP     33
      EQUIVALENCE (JNAME1,CNAME1),(JNAME2,CNAME2),(JNAME3,CNAME3)       PCHMAP     34
      EQUIVALENCE (JNAME4,CNAME4),(JNAME5,CNAME5),(JNAME6,CNAME6)       PCHMAP     35
      EQUIVALENCE (JNAME7,CNAME7),(JNAME8,CNAME8)                       PCHMAP     36
      CHARACTER*29 LDCNAM                                               PCHMAP     37
      CHARACTER*17 LNAME(5),LUDNAM                                      PCHMAP     38
      CHARACTER*8  KNAME(8),DCNAME                                      PCHMAP     39
C                                                                       PCHMAP     40
      DIMENSION NCHAN(35),MCHAN(35)                                     PCHMAP     41
C                                                                       PCHMAP     42
C                                                                       PCHMAP     43
C               'AGEO','BGEO','CGEO','GCOS','GOVV','GENS','GYVA'        PCHMAP     44
      DATA NCHAN/   4 ,    7 ,   12 ,    4 ,    5 ,    0 ,    0         PCHMAP     45
C              ,'AMOT','BMOT','ASVO','CONV','UDCO','ALOA'               PCHMAP     46
     &         ,    4 ,    6 ,    3 ,    7 ,    1 ,    5                PCHMAP     47
C              ,'LINE','SLIN','MVBS','DVOL','UEXC'                      PCHMAP     48
     &         ,    6 ,    2 ,    2 ,    1 ,    0                       PCHMAP     49
C              ,'UPSS','UEXL','UGOV','USVC','URAN','USTC','USPS','USDB' PCHMAP     50
     &         ,    0 ,    0 ,    0 ,    0 ,    0 ,    0 ,    0 ,    0  PCHMAP     51
C              'AFBO','BFBO','CFBO','FFBO','PWRA','PWRB','CANA','CANB'  PCHMAP     52
     &         ,   10 ,   20 ,   27 ,    9 ,  8 ,   17 ,    8 ,   17    PCHMAP     53
C              'BWRA'                                                   PCHMAP     54
     &         ,   22/                                                  PCHMAP     55
C               'AGEO','BGEO','CGEO','GCOS','GOVV','GENS','GYVA'        PCHMAP     56
      DATA MCHAN/   0 ,    0 ,    0 ,   12 ,   16 ,  500 ,  600         PCHMAP     57
C              ,'AMOT','BMOT','ASVO','CONV','UDCO','ALOA'               PCHMAP     58
     &         ,   21 ,   21,   27  ,   45 ,  700 ,   30                PCHMAP     59
C              ,'LINE','SLIN','MVBS','DVOL','UEXC'                      PCHMAP     60
     &         ,   35 ,   41 ,  43  ,   53 ,  800                       PCHMAP     61
C              ,'UPSS','UEXL','UGOV','USVC','URAN','USTC','USPS','USDB' PCHMAP     62
     &         ,  900 , 1000 , 1100 , 1200 , 1300 , 1400 , 1500 , 1600  PCHMAP     63
C               'AFBO','BFBO','CFBO','FFBO','PWRA','PWRB','CANA','CANB' PCHMAP     64
     &         ,   65 ,   65 ,   65 ,   92 ,  137,  137 ,  154,   154   PCHMAP     65
C               'BWRA'                                                  PCHMAP     66
     &         ,  171/                                                  PCHMAP     67
C                                                                       PCHMAP     68
      DATA ILDEF,NLF,I1/60,0,0/                                         PCHMAP     69
C                                                                       PCHMAP     70
      LDEB=(JDEB(32).NE.0)                                              PCHMAP     71
C                                                                       PCHMAP     72
C  GENERATORS                                                           PCHMAP     73
C                                                                       PCHMAP     74
C   PRINT FRONT PAGE : TITLE & LIST OF SYMBOLS                          PCHMAP     75
C                                                                       PCHMAP     76
      WRITE(IUX,6100)                                                   PCHMAP     77
      IL=ILDEF                                                          PCHMAP     78
      DO 120 K=1,NOPTR                                                  PCHMAP     79
      IPOS=KOPTR(K)                                                     PCHMAP     80
      JSEM=KOPDAT(IPOS+1)                                               PCHMAP     81
      IF(JSEM.LT.4)THEN                                                 PCHMAP     82
      ICOUNX=KOPDAT(IPOS+2)                                             PCHMAP     83
      IF(ICOUNX .EQ. 0)GOTO 120                                         PCHMAP     84
      IPOS=IPOS+2                                                       PCHMAP     85
C                                                                       PCHMAP     86
C  PULL OUT THE BUS NUMBER AND DEVICE NAME                              PCHMAP     87
C                                                                       PCHMAP     88
      ICOUNT=0                                                          PCHMAP     89
 100  ICOUNT=ICOUNT+1                                                   PCHMAP     90
      IPBNO=KOPDAT(IPOS+1)                                              PCHMAP     91
      IF(IPBNO.LE.IPNODE)THEN                                           PCHMAP     92
         ISCHAN=KOPDAT(IPOS+3)                                          PCHMAP     93
         IMAC =KOPDAT(IPOS+2)                                           PCHMAP     94
         IF(IMAC.NE.0)THEN                                              PCHMAP     95
            NLF=NOLD(IPBNO)                                             PCHMAP     96
            IGVN=ICONTA(2,IMAC)                                         PCHMAP     97
            IF (IGVN.EQ.46) IGVN=0                                      PCHMAP     98
C                                                                       PCHMAP     99
C   STORE STATION NAME AND ADDRESS COUNT                                PCHMAP    100
C                                                                       PCHMAP    101
            K3=IPBNO*3                                                  PCHMAP    102
            JNAME1=INAME(K3-2)                                          PCHMAP    103
            JNAME2=INAME(K3-1)                                          PCHMAP    104
            JNAME3=INAME(K3)                                            PCHMAP    105
            UID(1:2)=NDGC(IMAC)(3:4)                                    PCHMAP    106
         ENDIF                                                          PCHMAP    107
C                                                                       PCHMAP    108
C  STORE CHANNEL NUMBERS IN BUF                                         PCHMAP    109
C                                                                       PCHMAP    110
         LITEM=NCHAN(JSEM)                                              PCHMAP    111
         JITEM=0                                                        PCHMAP    112
 110     JITEM=JITEM+1                                                  PCHMAP    113
         ISCHAN=ISCHAN+1                                                PCHMAP    114
         IBUF(JITEM)=ISCHAN                                             PCHMAP    115
         IF(JITEM.LT.LITEM)GOTO 110                                     PCHMAP    116
         IF(IMAC.NE.0)THEN                                              PCHMAP    117
            IF(IL.GE.ILDEF)THEN                                         PCHMAP    118
               IL=3                                                     PCHMAP    119
               WRITE(IU18,6010)                                         PCHMAP    120
            ENDIF                                                       PCHMAP    121
            WRITE(IU18,6020) NLF,JNAME1,JNAME2,JNAME3,UID               PCHMAP    122
     &      ,(IBUF(J),J=1,LITEM)                                        PCHMAP    123
            IL=IL+1                                                     PCHMAP    124
         ENDIF                                                          PCHMAP    125
      ENDIF                                                             PCHMAP    126
      IPOS=IPOS+4                                                       PCHMAP    127
      IF(ICOUNT.LT.ICOUNX)GOTO 100                                      PCHMAP    128
      ENDIF                                                             PCHMAP    129
 120  CONTINUE                                                          PCHMAP    130
C                                                                       PCHMAP    131
C  GENERATOR EXCITATION AND GOVERNOR CONTROL SIGNALS                    PCHMAP    132
C                                                                       PCHMAP    133
      IF(NGCOSO.NE.0)THEN                                               PCHMAP    134
C                                                                       PCHMAP    135
C   PRINT FRONT PAGE : TITLE & LIST OF SYMBOLS                          PCHMAP    136
C                                                                       PCHMAP    137
      WRITE(IU18,6230)                                                  PCHMAP    138
      IL=ILDEF                                                          PCHMAP    139
      DO 320 K=1,NOPTR                                                  PCHMAP    140
      IPOS=KOPTR(K)                                                     PCHMAP    141
      JSEM=KOPDAT(IPOS+1)                                               PCHMAP    142
      IF(JSEM.EQ.4)THEN                                                 PCHMAP    143
      ICOUNX=KOPDAT(IPOS+2)                                             PCHMAP    144
      IF(ICOUNX .EQ. 0)GOTO 320                                         PCHMAP    145
      IPOS=IPOS+2                                                       PCHMAP    146
      ICOUNT=0                                                          PCHMAP    147
 300  ICOUNT=ICOUNT+1                                                   PCHMAP    148
      IPBNO=KOPDAT(IPOS+1)                                              PCHMAP    149
      IF(IPBNO.NE.0)THEN                                                PCHMAP    150
       NLF=NOLD(IPBNO)                                                  PCHMAP    151
C                                                                       PCHMAP    152
C   STORE STATION NAME AND ADDRESS COUNT                                PCHMAP    153
C                                                                       PCHMAP    154
       K3=IPBNO*3                                                       PCHMAP    155
       IMAC=KOPDAT(IPOS+2)                                              PCHMAP    156
       ISCHAN=KOPDAT(IPOS+3)                                            PCHMAP    157
       IF(IMAC.NE.0)THEN                                                PCHMAP    158
       UID(1:2)=NDGC(IMAC)(3:4)                                         PCHMAP    159
       ELSE                                                             PCHMAP    160
       UID='  '                                                         PCHMAP    161
       ENDIF                                                            PCHMAP    162
       LITEM=NCHAN(JSEM)                                                PCHMAP    163
       MCHANX=MCHAN(JSEM)                                               PCHMAP    164
       JITEM=0                                                          PCHMAP    165
 310   JITEM=JITEM+1                                                    PCHMAP    166
       ISCHAN=ISCHAN+1                                                  PCHMAP    167
       IBUF(JITEM)=ISCHAN                                               PCHMAP    168
       IF(JITEM.LT.LITEM)GOTO 310                                       PCHMAP    169
C                                                                       PCHMAP    170
       IF(IL.GE.ILDEF)THEN                                              PCHMAP    171
        IL=3                                                            PCHMAP    172
        I1=0                                                            PCHMAP    173
        WRITE(IU18,6240)                                                PCHMAP    174
       ENDIF                                                            PCHMAP    175
       IF(I1.EQ.0)THEN                                                  PCHMAP    176
        WRITE(IU18,6250) NLF,INAME(K3-2),INAME(K3-1),INAME(K3),UID      PCHMAP    177
     &  ,(IBUF(J),J=1,LITEM)                                            PCHMAP    178
        I1=1                                                            PCHMAP    179
       ELSE                                                             PCHMAP    180
        WRITE(IU18,6260) NLF,INAME(K3-2),INAME(K3-1),INAME(K3),UID      PCHMAP    181
     &  ,(IBUF(J),J=1,LITEM)                                            PCHMAP    182
        IL=IL+1                                                         PCHMAP    183
        I1=0                                                            PCHMAP    184
       ENDIF                                                            PCHMAP    185
C                                                                       PCHMAP    186
C   ENDIF IPBNO.NE.0                                                    PCHMAP    187
C                                                                       PCHMAP    188
      ENDIF                                                             PCHMAP    189
      IPOS=IPOS+3                                                       PCHMAP    190
      IF(ICOUNT.LT.ICOUNX)GOTO 300                                      PCHMAP    191
      ENDIF                                                             PCHMAP    192
C                                                                       PCHMAP    193
 320  CONTINUE                                                          PCHMAP    194
C                                                                       PCHMAP    195
C   ENDIF NGCOSO.NE.0                                                   PCHMAP    196
C                                                                       PCHMAP    197
      ENDIF                                                             PCHMAP    198
C                                                                       PCHMAP    199
C                                                                       PCHMAP    200
      IF(NFBOUT.NE.0)THEN                                               PCHMAP    201
C                                                                       PCHMAP    202
C   PRINT FRONT PAGE : TITLE & LIST OF SYMBOLS                          PCHMAP    203
C                                                                       PCHMAP    204
      WRITE(IU18,6880)                                                  PCHMAP    205
      WRITE(IU18,6890)                                                  PCHMAP    206
      WRITE(IU18,6900)                                                  PCHMAP    207
      WRITE(IU18,6910)                                                  PCHMAP    208
      IL=ILDEF                                                          PCHMAP    209
      DO 325 K=1,NOPTR                                                  PCHMAP    210
      IPOS=KOPTR(K)                                                     PCHMAP    211
      JSEM=KOPDAT(IPOS+1)                                               PCHMAP    212
      IF(JSEM.GE.27.AND.JSEM.LE.29)THEN                                 PCHMAP    213
      ICOUNX=KOPDAT(IPOS+2)                                             PCHMAP    214
      IF(ICOUNX.EQ.0)GOTO 325                                           PCHMAP    215
      IPOS=IPOS+2                                                       PCHMAP    216
      ICOUNT=0                                                          PCHMAP    217
 330  ICOUNT=ICOUNT+1                                                   PCHMAP    218
      IPBNO=KOPDAT(IPOS+1)                                              PCHMAP    219
      IF(IPBNO.NE.0)THEN                                                PCHMAP    220
      NLF=NOLD(IPBNO)                                                   PCHMAP    221
C                                                                       PCHMAP    222
C   STORE STATION NAME AND ADDRESS COUNT                                PCHMAP    223
C                                                                       PCHMAP    224
      K3=IPBNO*3                                                        PCHMAP    225
      IMAC=KOPDAT(IPOS+2)                                               PCHMAP    226
      IF(IMAC.NE.0)THEN                                                 PCHMAP    227
         IGVN=ICONTA(2,IMAC)                                            PCHMAP    228
         IF(IGVN.EQ.41.OR.IGVN.EQ.42)THEN                               PCHMAP    229
            ASSIGN 6840 TO I6242                                        PCHMAP    230
            ASSIGN 6850 TO I6243                                        PCHMAP    231
            ASSIGN 6860 TO I6244                                        PCHMAP    232
            ASSIGN 6870 TO I6245                                        PCHMAP    233
         ELSEIF(IGVN.EQ.43)THEN                                         PCHMAP    234
            ASSIGN 6800 TO I6242                                        PCHMAP    235
            ASSIGN 6810 TO I6243                                        PCHMAP    236
            ASSIGN 6820 TO I6244                                        PCHMAP    237
            ASSIGN 6830 TO I6245                                        PCHMAP    238
         ENDIF                                                          PCHMAP    239
      ENDIF                                                             PCHMAP    240
      ISCHAN=KOPDAT(IPOS+3)                                             PCHMAP    241
      IF(IMAC.NE.0)THEN                                                 PCHMAP    242
      UID(1:2)=NDGC(IMAC)(3:4)                                          PCHMAP    243
      ELSE                                                              PCHMAP    244
      UID='  '                                                          PCHMAP    245
      ENDIF                                                             PCHMAP    246
      LITEM=NCHAN(JSEM)                                                 PCHMAP    247
      MCHANX=MCHAN(JSEM)                                                PCHMAP    248
      JITEM=0                                                           PCHMAP    249
 335  JITEM=JITEM+1                                                     PCHMAP    250
      ISCHAN=ISCHAN+1                                                   PCHMAP    251
      IBUF(JITEM)=ISCHAN                                                PCHMAP    252
      IF(JITEM.LT.LITEM)GOTO 335                                        PCHMAP    253
C                                                                       PCHMAP    254
      IF(IL.GE.ILDEF)WRITE(IU18,6245)                                   PCHMAP    255
C                                                                       PCHMAP    256
      WRITE(IU18,I6242) NLF,INAME(K3-2),INAME(K3-1),INAME(K3),UID       PCHMAP    257
     &,(IBUF(J),J=1,10)                                                 PCHMAP    258
      IL=IL+3                                                           PCHMAP    259
      IF(JSEM.GE.28.AND.JSEM.LE.29)THEN                                 PCHMAP    260
        WRITE(IU18,I6243)(IBUF(J),J=11,20)                              PCHMAP    261
        IL=IL+3                                                         PCHMAP    262
      ENDIF                                                             PCHMAP    263
      IF(JSEM.EQ.29)THEN                                                PCHMAP    264
        WRITE(IU18,I6244)(IBUF(J),J=21,27)                              PCHMAP    265
        IL=IL+3                                                         PCHMAP    266
      ENDIF                                                             PCHMAP    267
C                                                                       PCHMAP    268
C   ENDIF IPBNO.NE.0                                                    PCHMAP    269
C                                                                       PCHMAP    270
      ENDIF                                                             PCHMAP    271
      IPOS=IPOS+3                                                       PCHMAP    272
      IF(ICOUNT.LT.ICOUNX)GOTO 330                                      PCHMAP    273
      ENDIF                                                             PCHMAP    274
C                                                                       PCHMAP    275
 325  CONTINUE                                                          PCHMAP    276
C                                                                       PCHMAP    277
C   ENDIF NFBOUT.NE.0                                                   PCHMAP    278
C                                                                       PCHMAP    279
      ENDIF                                                             PCHMAP    280
C                                                                       PCHMAP    281
C   FOSSIL FIRED BOILER CONTROL VARIABLES                               PCHMAP    282
C                                                                       PCHMAP    283
      IF(NFFBCO.NE.0)THEN                                               PCHMAP    284
C                                                                       PCHMAP    285
C   PRINT FRONT PAGE : TITLE & LIST OF SYMBOLS                          PCHMAP    286
C                                                                       PCHMAP    287
      WRITE(IU18,6785)                                                  PCHMAP    288
      WRITE(IU18,6790)                                                  PCHMAP    289
      IL=ILDEF                                                          PCHMAP    290
      DO 340 K=1,NOPTR                                                  PCHMAP    291
      IPOS=KOPTR(K)                                                     PCHMAP    292
      JSEM=KOPDAT(IPOS+1)                                               PCHMAP    293
      IF(JSEM.EQ.30)THEN                                                PCHMAP    294
      ICOUNX=KOPDAT(IPOS+2)                                             PCHMAP    295
      IF(ICOUNX.EQ.0)GOTO 340                                           PCHMAP    296
      IPOS=IPOS+2                                                       PCHMAP    297
      ICOUNT=0                                                          PCHMAP    298
 345  ICOUNT=ICOUNT+1                                                   PCHMAP    299
      IPBNO=KOPDAT(IPOS+1)                                              PCHMAP    300
      IF(IPBNO.NE.0)THEN                                                PCHMAP    301
      NLF=NOLD(IPBNO)                                                   PCHMAP    302
C                                                                       PCHMAP    303
C   STORE STATION NAME AND ADDRESS COUNT                                PCHMAP    304
C                                                                       PCHMAP    305
      K3=IPBNO*3                                                        PCHMAP    306
      IMAC=KOPDAT(IPOS+2)                                               PCHMAP    307
      IF(IMAC.NE.0)THEN                                                 PCHMAP    308
         IGVN=ICONTA(2,IMAC)                                            PCHMAP    309
         IF(IGVN.EQ.41.OR.IGVN.EQ.42)THEN                               PCHMAP    310
            ASSIGN 6840 TO I6242                                        PCHMAP    311
            ASSIGN 6850 TO I6243                                        PCHMAP    312
            ASSIGN 6860 TO I6244                                        PCHMAP    313
            ASSIGN 6870 TO I6245                                        PCHMAP    314
         ELSEIF(IGVN.EQ.43)THEN                                         PCHMAP    315
            ASSIGN 6800 TO I6242                                        PCHMAP    316
            ASSIGN 6810 TO I6243                                        PCHMAP    317
            ASSIGN 6820 TO I6244                                        PCHMAP    318
            ASSIGN 6830 TO I6245                                        PCHMAP    319
         ENDIF                                                          PCHMAP    320
      ENDIF                                                             PCHMAP    321
      ISCHAN=KOPDAT(IPOS+3)                                             PCHMAP    322
      IF(IMAC.NE.0)THEN                                                 PCHMAP    323
      UID(1:2)=NDGC(IMAC)(3:4)                                          PCHMAP    324
      ELSE                                                              PCHMAP    325
      UID='  '                                                          PCHMAP    326
      ENDIF                                                             PCHMAP    327
      LITEM=NCHAN(JSEM)                                                 PCHMAP    328
      MCHANX=MCHAN(JSEM)                                                PCHMAP    329
      JITEM=0                                                           PCHMAP    330
 346  JITEM=JITEM+1                                                     PCHMAP    331
      ISCHAN=ISCHAN+1                                                   PCHMAP    332
      IBUF(JITEM)=ISCHAN                                                PCHMAP    333
      IF(JITEM.LT.LITEM)GOTO 346                                        PCHMAP    334
C                                                                       PCHMAP    335
      IF(IL.GE.ILDEF)WRITE(IU18,I6245)                                  PCHMAP    336
      WRITE(IU18,6255) NLF,INAME(K3-2),INAME(K3-1),INAME(K3),UID        PCHMAP    337
     &,(IBUF(J),J=1,LITEM)                                              PCHMAP    338
C                                                                       PCHMAP    339
C   ENDIF IPBNO.NE.0                                                    PCHMAP    340
C                                                                       PCHMAP    341
      ENDIF                                                             PCHMAP    342
      IPOS=IPOS+3                                                       PCHMAP    343
      IF(ICOUNT.LT.ICOUNX)GOTO 345                                      PCHMAP    344
      ENDIF                                                             PCHMAP    345
C                                                                       PCHMAP    346
 340  CONTINUE                                                          PCHMAP    347
C                                                                       PCHMAP    348
C   ENDIF NFFBCO.NE.0                                                   PCHMAP    349
      ENDIF                                                             PCHMAP    350
C                                                                       PCHMAP    351
C   PWR NUCLEAR MODEL                                                   PCHMAP    352
C                                                                       PCHMAP    353
      IF(NPWRO.NE.0)THEN                                                PCHMAP    354
C                                                                       PCHMAP    355
C   PRINT FRONT PAGE : TITLE & LIST OF SYMBOLS                          PCHMAP    356
C                                                                       PCHMAP    357
      WRITE(IU18,6920)                                                  PCHMAP    358
C      WRITE(IU18,6930)                                                 PCHMAP    359
      IL=ILDEF                                                          PCHMAP    360
      DO 1325 K=1,NOPTR                                                 PCHMAP    361
      IPOS=KOPTR(K)                                                     PCHMAP    362
      JSEM=KOPDAT(IPOS+1)                                               PCHMAP    363
      IF(JSEM.EQ.31.OR.JSEM.EQ.32)THEN                                  PCHMAP    364
      ICOUNX=KOPDAT(IPOS+2)                                             PCHMAP    365
      IF(ICOUNX.EQ.0)GOTO 1325                                          PCHMAP    366
      IPOS=IPOS+2                                                       PCHMAP    367
      ICOUNT=0                                                          PCHMAP    368
 1330 ICOUNT=ICOUNT+1                                                   PCHMAP    369
      IPBNO=KOPDAT(IPOS+1)                                              PCHMAP    370
      IF(IPBNO.NE.0)THEN                                                PCHMAP    371
      NLF=NOLD(IPBNO)                                                   PCHMAP    372
C                                                                       PCHMAP    373
C   STORE STATION NAME AND ADDRESS COUNT                                PCHMAP    374
C                                                                       PCHMAP    375
      K3=IPBNO*3                                                        PCHMAP    376
      IMAC=KOPDAT(IPOS+2)                                               PCHMAP    377
      ISCHAN=KOPDAT(IPOS+3)                                             PCHMAP    378
      IF(IMAC.NE.0)THEN                                                 PCHMAP    379
      UID(1:2)=NDGC(IMAC)(3:4)                                          PCHMAP    380
      ELSE                                                              PCHMAP    381
      UID='  '                                                          PCHMAP    382
      ENDIF                                                             PCHMAP    383
      LITEM=NCHAN(JSEM)                                                 PCHMAP    384
      MCHANX=MCHAN(JSEM)                                                PCHMAP    385
      JITEM=0                                                           PCHMAP    386
 1335 JITEM=JITEM+1                                                     PCHMAP    387
      ISCHAN=ISCHAN+1                                                   PCHMAP    388
      IBUF(JITEM)=ISCHAN                                                PCHMAP    389
      IF(JITEM.LT.LITEM)GOTO 1335                                       PCHMAP    390
C                                                                       PCHMAP    391
      IF(IL.GE.ILDEF)WRITE(IU18,6245)                                   PCHMAP    392
C                                                                       PCHMAP    393
      WRITE(IU18,6940) NLF,INAME(K3-2),INAME(K3-1),INAME(K3),UID        PCHMAP    394
     &,(IBUF(J),J=1,8)                                                  PCHMAP    395
      IL=IL+3                                                           PCHMAP    396
      IF(JSEM.EQ.32)THEN                                                PCHMAP    397
        WRITE(IU18,6950)(IBUF(J),J=9,17)                                PCHMAP    398
        IL=IL+3                                                         PCHMAP    399
      ENDIF                                                             PCHMAP    400
C                                                                       PCHMAP    401
C   ENDIF IPBNO.NE.0                                                    PCHMAP    402
C                                                                       PCHMAP    403
      ENDIF                                                             PCHMAP    404
      IPOS=IPOS+3                                                       PCHMAP    405
      IF(ICOUNT.LT.ICOUNX)GOTO 1330                                     PCHMAP    406
      ENDIF                                                             PCHMAP    407
C                                                                       PCHMAP    408
 1325 CONTINUE                                                          PCHMAP    409
C                                                                       PCHMAP    410
C   ENDIF NCANO.NE.0                                                    PCHMAP    411
C                                                                       PCHMAP    412
      ENDIF                                                             PCHMAP    413
C                                                                       PCHMAP    414
C   CANDU MODEL                                                         PCHMAP    415
C                                                                       PCHMAP    416
      IF(NCANO.NE.0)THEN                                                PCHMAP    417
C                                                                       PCHMAP    418
C   PRINT FRONT PAGE : TITLE & LIST OF SYMBOLS                          PCHMAP    419
C                                                                       PCHMAP    420
      WRITE(IU18,6960)                                                  PCHMAP    421
      WRITE(IU18,6970)                                                  PCHMAP    422
      IL=ILDEF                                                          PCHMAP    423
      DO 1400 K=1,NOPTR                                                 PCHMAP    424
      IPOS=KOPTR(K)                                                     PCHMAP    425
      JSEM=KOPDAT(IPOS+1)                                               PCHMAP    426
      IF(JSEM.EQ.33.OR.JSEM.EQ.34)THEN                                  PCHMAP    427
      ICOUNX=KOPDAT(IPOS+2)                                             PCHMAP    428
      IF(ICOUNX.EQ.0)GOTO 1400                                          PCHMAP    429
      IPOS=IPOS+2                                                       PCHMAP    430
      ICOUNT=0                                                          PCHMAP    431
 1410 ICOUNT=ICOUNT+1                                                   PCHMAP    432
      IPBNO=KOPDAT(IPOS+1)                                              PCHMAP    433
      IF(IPBNO.NE.0)THEN                                                PCHMAP    434
      NLF=NOLD(IPBNO)                                                   PCHMAP    435
C                                                                       PCHMAP    436
C   STORE STATION NAME AND ADDRESS COUNT                                PCHMAP    437
C                                                                       PCHMAP    438
      K3=IPBNO*3                                                        PCHMAP    439
      IMAC=KOPDAT(IPOS+2)                                               PCHMAP    440
      ISCHAN=KOPDAT(IPOS+3)                                             PCHMAP    441
      IF(IMAC.NE.0)THEN                                                 PCHMAP    442
      UID(1:2)=NDGC(IMAC)(3:4)                                          PCHMAP    443
      ELSE                                                              PCHMAP    444
      UID='  '                                                          PCHMAP    445
      ENDIF                                                             PCHMAP    446
      LITEM=NCHAN(JSEM)                                                 PCHMAP    447
      MCHANX=MCHAN(JSEM)                                                PCHMAP    448
      JITEM=0                                                           PCHMAP    449
 1420 JITEM=JITEM+1                                                     PCHMAP    450
      ISCHAN=ISCHAN+1                                                   PCHMAP    451
      IBUF(JITEM)=ISCHAN                                                PCHMAP    452
      IF(JITEM.LT.LITEM)GOTO 1420                                       PCHMAP    453
C                                                                       PCHMAP    454
      IF(IL.GE.ILDEF)WRITE(IU18,6245)                                   PCHMAP    455
C                                                                       PCHMAP    456
      WRITE(IU18,6980) NLF,INAME(K3-2),INAME(K3-1),INAME(K3),UID        PCHMAP    457
     &,(IBUF(J),J=1,8)                                                  PCHMAP    458
      IL=IL+3                                                           PCHMAP    459
      IF(JSEM.EQ.34)THEN                                                PCHMAP    460
        WRITE(IU18,6990)(IBUF(J),J=9,17)                                PCHMAP    461
        IL=IL+3                                                         PCHMAP    462
      ENDIF                                                             PCHMAP    463
C                                                                       PCHMAP    464
C   ENDIF IPBNO.NE.0                                                    PCHMAP    465
C                                                                       PCHMAP    466
      ENDIF                                                             PCHMAP    467
      IPOS=IPOS+3                                                       PCHMAP    468
      IF(ICOUNT.LT.ICOUNX)GOTO 1410                                     PCHMAP    469
      ENDIF                                                             PCHMAP    470
C                                                                       PCHMAP    471
 1400 CONTINUE                                                          PCHMAP    472
C                                                                       PCHMAP    473
C   ENDIF NCANO.NE.0                                                    PCHMAP    474
C                                                                       PCHMAP    475
      ENDIF                                                             PCHMAP    476
C                                                                       PCHMAP    477
C   BWR NUCLEAR PLANT MODEL                                             PCHMAP    478
C                                                                       PCHMAP    479
      IF(NBWROT.NE.0)THEN                                               PCHMAP    480
C                                                                       PCHMAP    481
C   PRINT FRONT PAGE : TITLE & LIST OF SYMBOLS                          PCHMAP    482
C                                                                       PCHMAP    483
      WRITE(IU18,7000)                                                  PCHMAP    484
      WRITE(IU18,7100)                                                  PCHMAP    485
      WRITE(IU18,7200)                                                  PCHMAP    486
      IL=ILDEF                                                          PCHMAP    487
      DO 1450 K=1,NOPTR                                                 PCHMAP    488
      IPOS=KOPTR(K)                                                     PCHMAP    489
      JSEM=KOPDAT(IPOS+1)                                               PCHMAP    490
      IF(JSEM.EQ.35)THEN                                                PCHMAP    491
      ICOUNX=KOPDAT(IPOS+2)                                             PCHMAP    492
      IF(ICOUNX.EQ.0)GOTO 1450                                          PCHMAP    493
      IPOS=IPOS+2                                                       PCHMAP    494
      ICOUNT=0                                                          PCHMAP    495
 1430 ICOUNT=ICOUNT+1                                                   PCHMAP    496
      IPBNO=KOPDAT(IPOS+1)                                              PCHMAP    497
      IF(IPBNO.NE.0)THEN                                                PCHMAP    498
      NLF=NOLD(IPBNO)                                                   PCHMAP    499
C                                                                       PCHMAP    500
C   STORE STATION NAME AND ADDRESS COUNT                                PCHMAP    501
C                                                                       PCHMAP    502
      K3=IPBNO*3                                                        PCHMAP    503
      IMAC=KOPDAT(IPOS+2)                                               PCHMAP    504
      ISCHAN=KOPDAT(IPOS+3)                                             PCHMAP    505
      IF(IMAC.NE.0)THEN                                                 PCHMAP    506
      UID(1:2)=NDGC(IMAC)(3:4)                                          PCHMAP    507
      ELSE                                                              PCHMAP    508
      UID='  '                                                          PCHMAP    509
      ENDIF                                                             PCHMAP    510
      LITEM=NCHAN(JSEM)                                                 PCHMAP    511
      MCHANX=MCHAN(JSEM)                                                PCHMAP    512
      JITEM=0                                                           PCHMAP    513
 1440 JITEM=JITEM+1                                                     PCHMAP    514
      ISCHAN=ISCHAN+1                                                   PCHMAP    515
      IBUF(JITEM)=ISCHAN                                                PCHMAP    516
      IF(JITEM.LT.LITEM)GOTO 1440                                       PCHMAP    517
C                                                                       PCHMAP    518
      IF(IL.GE.ILDEF)WRITE(IU18,6245)                                   PCHMAP    519
C                                                                       PCHMAP    520
      WRITE(IU18,7300) NLF,INAME(K3-2),INAME(K3-1),INAME(K3),UID        PCHMAP    521
     &,(IBUF(J),J=1,11)                                                 PCHMAP    522
      WRITE(IU18,7400) (IBUF(J),J=12,22)                                PCHMAP    523
      IL=IL+7                                                           PCHMAP    524
C                                                                       PCHMAP    525
C   ENDIF IPBNO.NE.0                                                    PCHMAP    526
C                                                                       PCHMAP    527
      ENDIF                                                             PCHMAP    528
      IPOS=IPOS+3                                                       PCHMAP    529
      IF(ICOUNT.LT.ICOUNX)GOTO 1430                                     PCHMAP    530
      ENDIF                                                             PCHMAP    531
C                                                                       PCHMAP    532
 1450 CONTINUE                                                          PCHMAP    533
C                                                                       PCHMAP    534
C   ENDIF NBWROT.NE.0                                                   PCHMAP    535
C                                                                       PCHMAP    536
      ENDIF                                                             PCHMAP    537
C                                                                       PCHMAP    538
C                                                                       PCHMAP    539
C  GENERATOR GOVERNOR VARIABLES                                         PCHMAP    540
C                                                                       PCHMAP    541
      IF(NGOVVO.NE.0)THEN                                               PCHMAP    542
C                                                                       PCHMAP    543
C   PRINT FRONT PAGE : TITLE & LIST OF SYMBOLS                          PCHMAP    544
C                                                                       PCHMAP    545
      WRITE(IU18,6270)                                                  PCHMAP    546
      IL=ILDEF                                                          PCHMAP    547
      DO 370 K=1,NOPTR                                                  PCHMAP    548
      IPOS=KOPTR(K)                                                     PCHMAP    549
      JSEM=KOPDAT(IPOS+1)                                               PCHMAP    550
      IF(JSEM.EQ.5)THEN                                                 PCHMAP    551
      ICOUNX=KOPDAT(IPOS+2)                                             PCHMAP    552
      IF(ICOUNX .EQ. 0)GOTO 370                                         PCHMAP    553
      IPOS=IPOS+2                                                       PCHMAP    554
      ICOUNT=0                                                          PCHMAP    555
 350  ICOUNT=ICOUNT+1                                                   PCHMAP    556
      IPBNO=KOPDAT(IPOS+1)                                              PCHMAP    557
      IF(IPBNO.GT.0)THEN                                                PCHMAP    558
      NLF=NOLD(IPBNO)                                                   PCHMAP    559
C                                                                       PCHMAP    560
C   STORE STATION NAME AND ADDRESS COUNT                                PCHMAP    561
C                                                                       PCHMAP    562
      K3=IPBNO*3                                                        PCHMAP    563
      JNAME1=INAME(K3-2)                                                PCHMAP    564
      JNAME2=INAME(K3-1)                                                PCHMAP    565
      JNAME3=INAME(K3)                                                  PCHMAP    566
      IMAC=KOPDAT(IPOS+2)                                               PCHMAP    567
      ISCHAN=KOPDAT(IPOS+3)                                             PCHMAP    568
      IF(IMAC.NE.0)THEN                                                 PCHMAP    569
      UID(1:2)=NDGC(IMAC)(3:4)                                          PCHMAP    570
      ELSE                                                              PCHMAP    571
      UID='  '                                                          PCHMAP    572
      ENDIF                                                             PCHMAP    573
      LITEM=NCHAN(JSEM)                                                 PCHMAP    574
      MCHANX=MCHAN(JSEM)                                                PCHMAP    575
      JITEM=0                                                           PCHMAP    576
 360  JITEM=JITEM+1                                                     PCHMAP    577
      ISCHAN=ISCHAN+1                                                   PCHMAP    578
      IBUF(JITEM)=ISCHAN                                                PCHMAP    579
      IF(JITEM.LT.LITEM)GOTO 360                                        PCHMAP    580
C                                                                       PCHMAP    581
      IF(IL.GE.ILDEF)THEN                                               PCHMAP    582
      IL=3                                                              PCHMAP    583
      I1=0                                                              PCHMAP    584
      WRITE(IU18,6280)                                                  PCHMAP    585
      ENDIF                                                             PCHMAP    586
      IF(I1.EQ.0)THEN                                                   PCHMAP    587
      WRITE(IU18,6290) NLF,JNAME1,JNAME2,JNAME3,UID                     PCHMAP    588
     &,(IBUF(J),J=1,LITEM)                                              PCHMAP    589
      I1=1                                                              PCHMAP    590
      ELSE                                                              PCHMAP    591
      WRITE(IU18,6300) NLF,JNAME1,JNAME2,JNAME3,UID                     PCHMAP    592
     &,(IBUF(J),J=1,LITEM)                                              PCHMAP    593
      IL=IL+1                                                           PCHMAP    594
      I1=0                                                              PCHMAP    595
      ENDIF                                                             PCHMAP    596
C                                                                       PCHMAP    597
C   ENDIF IPBNO.GT.0                                                    PCHMAP    598
C                                                                       PCHMAP    599
      ENDIF                                                             PCHMAP    600
      IPOS=IPOS+3                                                       PCHMAP    601
      IF(ICOUNT.LT.ICOUNX)GOTO 350                                      PCHMAP    602
      ENDIF                                                             PCHMAP    603
C                                                                       PCHMAP    604
 370  CONTINUE                                                          PCHMAP    605
C                                                                       PCHMAP    606
C   ENDIF NGCOSO.NE.0                                                   PCHMAP    607
C                                                                       PCHMAP    608
      ENDIF                                                             PCHMAP    609
C                                                                       PCHMAP    610
C  GENERATOR & CONTROL STATES                                           PCHMAP    611
C                                                                       PCHMAP    612
      IF(NGENSO.NE.0)THEN                                               PCHMAP    613
C                                                                       PCHMAP    614
C   PRINT FRONT PAGE : TITLE & LIST OF SYMBOLS                          PCHMAP    615
C                                                                       PCHMAP    616
      ASSIGN 6360 TO IFTIL                                              PCHMAP    617
      KSEM=6                                                            PCHMAP    618
      IL=ILDEF                                                          PCHMAP    619
      ASSIGN 390 TO I5000                                               PCHMAP    620
      GOTO 5000                                                         PCHMAP    621
C                                                                       PCHMAP    622
C   ENDIF NGENSO.NE.0                                                   PCHMAP    623
C                                                                       PCHMAP    624
      ENDIF                                                             PCHMAP    625
C                                                                       PCHMAP    626
C  GENERATOR Y VARIABLES                                                PCHMAP    627
C                                                                       PCHMAP    628
 390  IF(NGENYO.NE.0)THEN                                               PCHMAP    629
C                                                                       PCHMAP    630
C   PRINT FRONT PAGE : TITLE & LIST OF SYMBOLS                          PCHMAP    631
C                                                                       PCHMAP    632
      ASSIGN 6350 TO IFTIL                                              PCHMAP    633
      KSEM=7                                                            PCHMAP    634
      IL=ILDEF                                                          PCHMAP    635
      ASSIGN 400 TO I5000                                               PCHMAP    636
      GOTO 5000                                                         PCHMAP    637
C                                                                       PCHMAP    638
C   ENDIF NGENYO.NE.0                                                   PCHMAP    639
C                                                                       PCHMAP    640
      ENDIF                                                             PCHMAP    641
C                                                                       PCHMAP    642
C  GENERATOR USER DEFINDE EXCITER BLOCK OUTPUTS                         PCHMAP    643
C                                                                       PCHMAP    644
 400  IF(NUEXCO.NE.0)THEN                                               PCHMAP    645
C                                                                       PCHMAP    646
C   PRINT FRONT PAGE : TITLE & LIST OF SYMBOLS                          PCHMAP    647
C                                                                       PCHMAP    648
      ASSIGN 6670 TO IFTIL                                              PCHMAP    649
      KSEM=18                                                           PCHMAP    650
      IL=ILDEF                                                          PCHMAP    651
      ASSIGN 410 TO I5000                                               PCHMAP    652
      GOTO 5000                                                         PCHMAP    653
C                                                                       PCHMAP    654
C   ENDIF NUEXCO.NE.0                                                   PCHMAP    655
C                                                                       PCHMAP    656
      ENDIF                                                             PCHMAP    657
C                                                                       PCHMAP    658
C  GENERATOR USER DEFINDE STABILIZER BLOCK OUTPUTS                      PCHMAP    659
C                                                                       PCHMAP    660
 410  IF(NUPSSO.NE.0)THEN                                               PCHMAP    661
C                                                                       PCHMAP    662
C   PRINT FRONT PAGE : TITLE & LIST OF SYMBOLS                          PCHMAP    663
C                                                                       PCHMAP    664
      ASSIGN 6680 TO IFTIL                                              PCHMAP    665
      KSEM=19                                                           PCHMAP    666
      IL=ILDEF                                                          PCHMAP    667
      ASSIGN 420 TO I5000                                               PCHMAP    668
      GOTO 5000                                                         PCHMAP    669
C                                                                       PCHMAP    670
C   ENDIF NUPSSO.NE.0                                                   PCHMAP    671
C                                                                       PCHMAP    672
      ENDIF                                                             PCHMAP    673
C                                                                       PCHMAP    674
C  GENERATOR USER DEFINDE UNDER EXCITER BLOCK OUTPUTS                   PCHMAP    675
C                                                                       PCHMAP    676
 420  IF(NUUELO.NE.0)THEN                                               PCHMAP    677
C                                                                       PCHMAP    678
      ASSIGN 6690 TO IFTIL                                              PCHMAP    679
      KSEM=20                                                           PCHMAP    680
      IL=ILDEF                                                          PCHMAP    681
      ASSIGN 430 TO I5000                                               PCHMAP    682
      GOTO 5000                                                         PCHMAP    683
C                                                                       PCHMAP    684
C   ENDIF NUUELO.NE.0                                                   PCHMAP    685
C                                                                       PCHMAP    686
      ENDIF                                                             PCHMAP    687
C                                                                       PCHMAP    688
C  GENERATOR USER DEFINDE GOVERNOR BLOCK OUTPUTS                        PCHMAP    689
C                                                                       PCHMAP    690
 430  IF(NUGOVO.NE.0)THEN                                               PCHMAP    691
C                                                                       PCHMAP    692
      ASSIGN 6700 TO IFTIL                                              PCHMAP    693
      KSEM=21                                                           PCHMAP    694
      IL=ILDEF                                                          PCHMAP    695
      ASSIGN 440 TO I5000                                               PCHMAP    696
      GOTO 5000                                                         PCHMAP    697
C                                                                       PCHMAP    698
C   ENDIF NUGOVO.NE.0                                                   PCHMAP    699
C                                                                       PCHMAP    700
      ENDIF                                                             PCHMAP    701
C                                                                       PCHMAP    702
C  NONLINEAR LOAD BUS                                                   PCHMAP    703
C                                                                       PCHMAP    704
 440  IF(NLOADO.NE.0)THEN                                               PCHMAP    705
C                                                                       PCHMAP    706
C   PRINT FRONT PAGE : TITLE & LIST OF SYMBOLS                          PCHMAP    707
C                                                                       PCHMAP    708
      WRITE(IU18,6370)                                                  PCHMAP    709
      IL=ILDEF                                                          PCHMAP    710
      MCHANX=MCHAN(13)                                                  PCHMAP    711
      DO 480 K=1,NOPTR                                                  PCHMAP    712
      IPOS=KOPTR(K)                                                     PCHMAP    713
      JSEM=KOPDAT(IPOS+1)                                               PCHMAP    714
      IF(JSEM.EQ.13)THEN                                                PCHMAP    715
      ICOUNX=KOPDAT(IPOS+2)                                             PCHMAP    716
      IF(ICOUNX .EQ. 0)GOTO 480                                         PCHMAP    717
      IPOS=IPOS+2                                                       PCHMAP    718
      ICOUNT=0                                                          PCHMAP    719
 460  ICOUNT=ICOUNT+1                                                   PCHMAP    720
      IPBNO=KOPDAT(IPOS+1)                                              PCHMAP    721
      IMAC=KOPDAT(IPOS+2)                                               PCHMAP    722
      ISCHAN=KOPDAT(IPOS+3)                                             PCHMAP    723
      IF(IPBNO.NE.0)THEN                                                PCHMAP    724
      NLF=NOLD(IPBNO)                                                   PCHMAP    725
C                                                                       PCHMAP    726
C   STORE STATION NAME AND ADDRESS COUNT                                PCHMAP    727
C                                                                       PCHMAP    728
      K3=IPBNO*3                                                        PCHMAP    729
      JNAME1=INAME(K3-2)                                                PCHMAP    730
      JNAME2=INAME(K3-1)                                                PCHMAP    731
      JNAME3=INAME(K3)                                                  PCHMAP    732
      ENDIF                                                             PCHMAP    733
      LITEM=NCHAN(JSEM)                                                 PCHMAP    734
      JITEM=0                                                           PCHMAP    735
 470  JITEM=JITEM+1                                                     PCHMAP    736
      ISCHAN=ISCHAN+1                                                   PCHMAP    737
      IBUF(JITEM)=ISCHAN                                                PCHMAP    738
      IF(JITEM.LT.LITEM)GOTO 470                                        PCHMAP    739
C                                                                       PCHMAP    740
      IF(IPBNO.NE.0)THEN                                                PCHMAP    741
      IF(IL.GE.ILDEF)THEN                                               PCHMAP    742
      IL=3                                                              PCHMAP    743
      I1=0                                                              PCHMAP    744
      WRITE(IU18,6380)                                                  PCHMAP    745
      ENDIF                                                             PCHMAP    746
      IF(I1.EQ.0)THEN                                                   PCHMAP    747
      WRITE(IU18,6420) NLF,JNAME1,JNAME2,JNAME3                         PCHMAP    748
     &,(IBUF(J),J=1,LITEM)                                              PCHMAP    749
      I1=1                                                              PCHMAP    750
      ELSE                                                              PCHMAP    751
      WRITE(IU18,6430) NLF,JNAME1,JNAME2,JNAME3                         PCHMAP    752
     &,(IBUF(J),J=1,LITEM)                                              PCHMAP    753
      IL=IL+1                                                           PCHMAP    754
      I1=0                                                              PCHMAP    755
      ENDIF                                                             PCHMAP    756
C                                                                       PCHMAP    757
C   ENDIF IPBNO.GT.IPNODE                                               PCHMAP    758
C                                                                       PCHMAP    759
      ENDIF                                                             PCHMAP    760
      IPOS=IPOS+4                                                       PCHMAP    761
      IF(ICOUNT.LT.ICOUNX)GOTO 460                                      PCHMAP    762
      ENDIF                                                             PCHMAP    763
C                                                                       PCHMAP    764
 480  CONTINUE                                                          PCHMAP    765
C                                                                       PCHMAP    766
C   ENDIF NLOADO.NE.0                                                   PCHMAP    767
C                                                                       PCHMAP    768
      ENDIF                                                             PCHMAP    769
C                                                                       PCHMAP    770
C  INDUCTION MOTORS                                                     PCHMAP    771
C                                                                       PCHMAP    772
      IF(NMOTL.NE.0)THEN                                                PCHMAP    773
C                                                                       PCHMAP    774
C   PRINT FRONT PAGE : TITLE & LIST OF SYMBOLS                          PCHMAP    775
C                                                                       PCHMAP    776
      WRITE(IU18,6160)                                                  PCHMAP    777
      IL=ILDEF                                                          PCHMAP    778
      DO 520 K=1,NOPTR                                                  PCHMAP    779
      IPOS=KOPTR(K)                                                     PCHMAP    780
      JSEM=KOPDAT(IPOS+1)                                               PCHMAP    781
      IF(JSEM.EQ.8.OR.JSEM.EQ.9)THEN                                    PCHMAP    782
      ICOUNX=KOPDAT(IPOS+2)                                             PCHMAP    783
      IF(ICOUNX .EQ. 0)GOTO 520                                         PCHMAP    784
      IPOS=IPOS+2                                                       PCHMAP    785
      ICOUNT=0                                                          PCHMAP    786
 500  ICOUNT=ICOUNT+1                                                   PCHMAP    787
      IPBNO=KOPDAT(IPOS+1)                                              PCHMAP    788
      IMAC=KOPDAT(IPOS+2)                                               PCHMAP    789
      IF(IMAC.NE.0)THEN                                                 PCHMAP    790
      UID(1:2)=NDMC(IMAC)(3:4)                                          PCHMAP    791
      ELSE                                                              PCHMAP    792
      UID='  '                                                          PCHMAP    793
      ENDIF                                                             PCHMAP    794
      ISCHAN=KOPDAT(IPOS+3)                                             PCHMAP    795
      IF(IPBNO.NE.0)THEN                                                PCHMAP    796
      NLF=NOLD(IPBNO)                                                   PCHMAP    797
C                                                                       PCHMAP    798
C   STORE STATION NAME AND ADDRESS COUNT                                PCHMAP    799
C                                                                       PCHMAP    800
      K3=IPBNO*3                                                        PCHMAP    801
      JNAME1=INAME(K3-2)                                                PCHMAP    802
      JNAME2=INAME(K3-1)                                                PCHMAP    803
      JNAME3=INAME(K3)                                                  PCHMAP    804
      ENDIF                                                             PCHMAP    805
      LITEM=NCHAN(JSEM)                                                 PCHMAP    806
      MCHANX=MCHAN(JSEM)                                                PCHMAP    807
      JITEM=0                                                           PCHMAP    808
 510  JITEM=JITEM+1                                                     PCHMAP    809
      ISCHAN=ISCHAN+1                                                   PCHMAP    810
      IBUF(JITEM)=ISCHAN                                                PCHMAP    811
      IF(JITEM.LT.LITEM)GOTO 510                                        PCHMAP    812
C                                                                       PCHMAP    813
      IF(IPBNO.NE.0)THEN                                                PCHMAP    814
      IF(IL.GE.ILDEF)THEN                                               PCHMAP    815
      IL=3                                                              PCHMAP    816
      I1=0                                                              PCHMAP    817
      WRITE(IU18,6170)                                                  PCHMAP    818
      ENDIF                                                             PCHMAP    819
      IF(I1.EQ.0)THEN                                                   PCHMAP    820
      WRITE(IU18,6180) NLF,JNAME1,JNAME2,JNAME3,UID                     PCHMAP    821
     &,(IBUF(J),J=1,LITEM)                                              PCHMAP    822
      I1=1                                                              PCHMAP    823
      ELSE                                                              PCHMAP    824
      WRITE(IU18,6190) NLF,JNAME1,JNAME2,JNAME3,UID                     PCHMAP    825
     &,(IBUF(J),J=1,LITEM)                                              PCHMAP    826
      IL=IL+1                                                           PCHMAP    827
      I1=0                                                              PCHMAP    828
      ENDIF                                                             PCHMAP    829
      ENDIF                                                             PCHMAP    830
      IPOS=IPOS+3                                                       PCHMAP    831
      IF(ICOUNT.LT.ICOUNX)GOTO 500                                      PCHMAP    832
      ENDIF                                                             PCHMAP    833
C                                                                       PCHMAP    834
 520  CONTINUE                                                          PCHMAP    835
C                                                                       PCHMAP    836
C   ENDIF NMOTL.NE.0                                                    PCHMAP    837
C                                                                       PCHMAP    838
      ENDIF                                                             PCHMAP    839
C                                                                       PCHMAP    840
C  SVC AND REACTORS                                                     PCHMAP    841
C                                                                       PCHMAP    842
      IF(NSVCO.NE.0)THEN                                                PCHMAP    843
C                                                                       PCHMAP    844
C   PRINT FRONT PAGE : TITLE & LIST OF SYMBOLS                          PCHMAP    845
C                                                                       PCHMAP    846
      WRITE(IU18,6200)                                                  PCHMAP    847
      IL=ILDEF                                                          PCHMAP    848
      I6=0                                                              PCHMAP    849
      DO 620 K=1,NOPTR                                                  PCHMAP    850
      IPOS=KOPTR(K)                                                     PCHMAP    851
      JSEM=KOPDAT(IPOS+1)                                               PCHMAP    852
      IF(JSEM.EQ.10)THEN                                                PCHMAP    853
      ICOUNX=KOPDAT(IPOS+2)                                             PCHMAP    854
      IF(ICOUNX .EQ. 0)GOTO 620                                         PCHMAP    855
      IPOS=IPOS+2                                                       PCHMAP    856
      ICOUNT=0                                                          PCHMAP    857
 600  ICOUNT=ICOUNT+1                                                   PCHMAP    858
      IPBNO=KOPDAT(IPOS+1)                                              PCHMAP    859
      ITFK=KOPDAT(IPOS+2)                                               PCHMAP    860
      CALL UNPACK(UID,JJJ,ITFK)                                         PCHMAP    861
      IMAC=KOPDAT(IPOS+3)                                               PCHMAP    862
      ISCHAN=KOPDAT(IPOS+4)                                             PCHMAP    863
      IF(IPBNO.NE.0)THEN                                                PCHMAP    864
      NLF=NOLD(IPBNO)                                                   PCHMAP    865
C                                                                       PCHMAP    866
C   STORE STATION NAME AND ADDRESS COUNT                                PCHMAP    867
C                                                                       PCHMAP    868
      K3=IPBNO*3                                                        PCHMAP    869
      JNAME1=INAME(K3-2)                                                PCHMAP    870
      JNAME2=INAME(K3-1)                                                PCHMAP    871
      JNAME3=INAME(K3)                                                  PCHMAP    872
      I6=I6+7                                                           PCHMAP    873
      IBUF(I6-6)=NLF                                                    PCHMAP    874
      IBUF(I6-5)=JNAME1                                                 PCHMAP    875
      IBUF(I6-4)=JNAME2                                                 PCHMAP    876
      IBUF(I6-3)=JNAME3                                                 PCHMAP    877
      IBUF(I6-2)=ISCHAN+1                                               PCHMAP    878
      IBUF(I6-1)=ISCHAN+2                                               PCHMAP    879
      IBUF(I6)=ISCHAN+3                                                 PCHMAP    880
      ENDIF                                                             PCHMAP    881
      LITEM=NCHAN(JSEM)                                                 PCHMAP    882
      MCHANX=MCHAN(JSEM)                                                PCHMAP    883
C                                                                       PCHMAP    884
      IF(I6.EQ.14)THEN                                                  PCHMAP    885
         IF(IL.GE.ILDEF)THEN                                            PCHMAP    886
         IL=3                                                           PCHMAP    887
         I1=0                                                           PCHMAP    888
         WRITE(IU18,6210)                                               PCHMAP    889
         ENDIF                                                          PCHMAP    890
      WRITE(IU18,6220) (IBUF(KK),KK=1,4),UID,(IBUF(KK),KK=5,I6)         PCHMAP    891
      IL=IL+1                                                           PCHMAP    892
      I6=0                                                              PCHMAP    893
      ENDIF                                                             PCHMAP    894
      IPOS=IPOS+4                                                       PCHMAP    895
      IF(ICOUNT.LT.ICOUNX)GOTO 600                                      PCHMAP    896
      ENDIF                                                             PCHMAP    897
C                                                                       PCHMAP    898
 620  CONTINUE                                                          PCHMAP    899
      IF(I6.NE.0)THEN                                                   PCHMAP    900
         IF(IL.GE.ILDEF)THEN                                            PCHMAP    901
         WRITE(IU18,6210)                                               PCHMAP    902
         ENDIF                                                          PCHMAP    903
      WRITE(IU18,6220) (IBUF(KK),KK=1,4),UID,(IBUF(KK),KK=5,I6)         PCHMAP    904
      ENDIF                                                             PCHMAP    905
C                                                                       PCHMAP    906
C   ENDIF NSVCO.NE.0                                                    PCHMAP    907
C                                                                       PCHMAP    908
      ENDIF                                                             PCHMAP    909
C                                                                       PCHMAP    910
C   USER DEFINED SVC BLOCK OUTPUTS                                      PCHMAP    911
C                                                                       PCHMAP    912
      IF(NUSVCO.NE.0)THEN                                               PCHMAP    913
C                                                                       PCHMAP    914
      ASSIGN 6720 TO IFTIL                                              PCHMAP    915
      KSEM=22                                                           PCHMAP    916
      ASSIGN 630 TO I5200                                               PCHMAP    917
      GOTO 5200                                                         PCHMAP    918
C                                                                       PCHMAP    919
C   ENDIF NUSVCO.NE.0                                                   PCHMAP    920
C                                                                       PCHMAP    921
      ENDIF                                                             PCHMAP    922
C                                                                       PCHMAP    923
C   USER DEFINED SDB BLOCK OUTPUTS                                      PCHMAP    924
C                                                                       PCHMAP    925
 630  IF(NUSDBO.NE.0)THEN                                               PCHMAP    926
C                                                                       PCHMAP    927
      ASSIGN 6780 TO IFTIL                                              PCHMAP    928
      KSEM=26                                                           PCHMAP    929
      ASSIGN 650 TO I5240                                               PCHMAP    930
      GOTO 5240                                                         PCHMAP    931
C                                                                       PCHMAP    932
C   ENDIF NUSDBO.NE.0                                                   PCHMAP    933
C                                                                       PCHMAP    934
      ENDIF                                                             PCHMAP    935
C                                                                       PCHMAP    936
 650  CONTINUE                                                          PCHMAP    937
C                                                                       PCHMAP    938
C  MONITORED BUS                                                        PCHMAP    939
C                                                                       PCHMAP    940
      IF(NVBS.NE.0)THEN                                                 PCHMAP    941
C                                                                       PCHMAP    942
C   PRINT FRONT PAGE : TITLE & LIST OF SYMBOLS                          PCHMAP    943
C                                                                       PCHMAP    944
      WRITE(IU18,6120)                                                  PCHMAP    945
      I1=0                                                              PCHMAP    946
      IL=ILDEF                                                          PCHMAP    947
      I6=0                                                              PCHMAP    948
      DO 720 K=1,NOPTR                                                  PCHMAP    949
      IPOS=KOPTR(K)                                                     PCHMAP    950
      JSEM=KOPDAT(IPOS+1)                                               PCHMAP    951
      IF(JSEM.EQ.16)THEN                                                PCHMAP    952
      ICOUNX=KOPDAT(IPOS+2)                                             PCHMAP    953
      IF(ICOUNX .EQ. 0)GOTO 720                                         PCHMAP    954
      IPOS=IPOS+2                                                       PCHMAP    955
      ICOUNT=0                                                          PCHMAP    956
 700  ICOUNT=ICOUNT+1                                                   PCHMAP    957
      IPBNO=KOPDAT(IPOS+1)                                              PCHMAP    958
      ISCHAN=KOPDAT(IPOS+2)                                             PCHMAP    959
      IF(IPBNO.NE.0)THEN                                                PCHMAP    960
      NLF=NOLD(IPBNO)                                                   PCHMAP    961
C                                                                       PCHMAP    962
C   STORE STATION NAME AND ADDRESS COUNT                                PCHMAP    963
C                                                                       PCHMAP    964
      K3=IPBNO*3                                                        PCHMAP    965
      JNAME1=INAME(K3-2)                                                PCHMAP    966
      JNAME2=INAME(K3-1)                                                PCHMAP    967
      JNAME3=INAME(K3)                                                  PCHMAP    968
      I6=I6+6                                                           PCHMAP    969
      IBUF(I6-5)=NLF                                                    PCHMAP    970
      IBUF(I6-4)=JNAME1                                                 PCHMAP    971
      IBUF(I6-3)=JNAME2                                                 PCHMAP    972
      IBUF(I6-2)=JNAME3                                                 PCHMAP    973
      IBUF(I6-1)=ISCHAN+1                                               PCHMAP    974
      IBUF(I6)=ISCHAN+2                                                 PCHMAP    975
      ELSE                                                              PCHMAP    976
C      INT2(1)=0                                                        PCHMAP    977
      ENDIF                                                             PCHMAP    978
      LITEM=NCHAN(JSEM)                                                 PCHMAP    979
      MCHANX=MCHAN(JSEM)                                                PCHMAP    980
      IF(I6.EQ.18)THEN                                                  PCHMAP    981
      IF(IL.GE.ILDEF)THEN                                               PCHMAP    982
      IL=3                                                              PCHMAP    983
      WRITE(IU18,6070)                                                  PCHMAP    984
      ENDIF                                                             PCHMAP    985
      WRITE(IU18,6060) (IBUF(KK),KK=1,I6)                               PCHMAP    986
      IL=IL+1                                                           PCHMAP    987
      I6=0                                                              PCHMAP    988
      ENDIF                                                             PCHMAP    989
      IPOS=IPOS+2                                                       PCHMAP    990
      IF(ICOUNT.LT.ICOUNX)GOTO 700                                      PCHMAP    991
      ENDIF                                                             PCHMAP    992
 720  CONTINUE                                                          PCHMAP    993
      IF(I6.NE.0)THEN                                                   PCHMAP    994
      IF(IL.GE.ILDEF)THEN                                               PCHMAP    995
      WRITE(IU18,6070)                                                  PCHMAP    996
      ENDIF                                                             PCHMAP    997
      WRITE(IU18,6060) (IBUF(KK),KK=1,I6)                               PCHMAP    998
      ENDIF                                                             PCHMAP    999
C                                                                       PCHMAP   1000
C   ENDIF NVBS.NE.0                                                     PCHMAP   1001
C                                                                       PCHMAP   1002
      ENDIF                                                             PCHMAP   1003
C                                                                       PCHMAP   1004
C  URAN BLOCK OUTPUTS                                                   PCHMAP   1005
C                                                                       PCHMAP   1006
      IF(NURANO.NE.0)THEN                                               PCHMAP   1007
      KSEM=23                                                           PCHMAP   1008
      ASSIGN 780 TO I5100                                               PCHMAP   1009
      ASSIGN 6740 TO IFTIL                                              PCHMAP   1010
      GOTO 5100                                                         PCHMAP   1011
C                                                                       PCHMAP   1012
C   ENDIF NURANO.NE.0                                                   PCHMAP   1013
C                                                                       PCHMAP   1014
      ENDIF                                                             PCHMAP   1015
C                                                                       PCHMAP   1016
C  USTC BLOCK OUTPUTS                                                   PCHMAP   1017
C                                                                       PCHMAP   1018
 780  IF(NUSTCO.NE.0)THEN                                               PCHMAP   1019
      KSEM=24                                                           PCHMAP   1020
      ASSIGN 790 TO I5100                                               PCHMAP   1021
      ASSIGN 6760 TO IFTIL                                              PCHMAP   1022
      GOTO 5100                                                         PCHMAP   1023
C                                                                       PCHMAP   1024
C   ENDIF NUSTCO.NE.0                                                   PCHMAP   1025
C                                                                       PCHMAP   1026
      ENDIF                                                             PCHMAP   1027
C                                                                       PCHMAP   1028
C  USPS BLOCK OUTPUTS                                                   PCHMAP   1029
C                                                                       PCHMAP   1030
 790  IF(NUSPSO.NE.0)THEN                                               PCHMAP   1031
      KSEM=25                                                           PCHMAP   1032
      ASSIGN 800 TO I5100                                               PCHMAP   1033
      ASSIGN 6770 TO IFTIL                                              PCHMAP   1034
      GOTO 5100                                                         PCHMAP   1035
C                                                                       PCHMAP   1036
C   ENDIF NUSPSO.NE.0                                                   PCHMAP   1037
C                                                                       PCHMAP   1038
      ENDIF                                                             PCHMAP   1039
C                                                                       PCHMAP   1040
C  MONITORED LINES                                                      PCHMAP   1041
C                                                                       PCHMAP   1042
  800 IF(NLINEO.NE.0)THEN                                               PCHMAP   1043
C                                                                       PCHMAP   1044
C   PRINT FRONT PAGE : TITLE & LIST OF SYMBOLS                          PCHMAP   1045
C                                                                       PCHMAP   1046
      WRITE(IU18,6130)                                                  PCHMAP   1047
      IL=ILDEF                                                          PCHMAP   1048
      DO 830 K=1,NOPTR                                                  PCHMAP   1049
      IPOS=KOPTR(K)                                                     PCHMAP   1050
      JSEM=KOPDAT(IPOS+1)                                               PCHMAP   1051
      IF(JSEM.EQ.14)THEN                                                PCHMAP   1052
      LITEM=NCHAN(JSEM)                                                 PCHMAP   1053
      ICOUNX=KOPDAT(IPOS+2)                                             PCHMAP   1054
      IF(ICOUNX .EQ. 0)GOTO 830                                         PCHMAP   1055
      IPOS=IPOS+2                                                       PCHMAP   1056
      ICOUNT=0                                                          PCHMAP   1057
 810  ICOUNT=ICOUNT+1                                                   PCHMAP   1058
      ILINE=KOPDAT(IPOS+1)                                              PCHMAP   1059
      ISCHAN=KOPDAT(IPOS+2)                                             PCHMAP   1060
      ILIN12=ILINE*12                                                   PCHMAP   1061
      ITFK=MLFTB(ILIN12-10)                                             PCHMAP   1062
      CALL UPACKI(IPBNOF,IPBNOT,ITFK)                                   PCHMAP   1063
      NLFF=NOLD(IPBNOF)                                                 PCHMAP   1064
      NLFT=NOLD(IPBNOT)                                                 PCHMAP   1065
C                                                                       PCHMAP   1066
C   STORE STATION NAME AND ADDRESS COUNT                                PCHMAP   1067
C                                                                       PCHMAP   1068
      K3=IPBNOF*3                                                       PCHMAP   1069
      JNAME1=INAME(K3-2)                                                PCHMAP   1070
      JNAME2=INAME(K3-1)                                                PCHMAP   1071
      JNAME3=INAME(K3)                                                  PCHMAP   1072
      J3=IPBNOT*3                                                       PCHMAP   1073
      JNAME4=INAME(J3-2)                                                PCHMAP   1074
      JNAME5=INAME(J3-1)                                                PCHMAP   1075
      JNAME6=INAME(J3)                                                  PCHMAP   1076
      IUID=MACKT(ILIN12-9)                                              PCHMAP   1077
      CALL UNPACK(UID,JJJ,IUID)                                         PCHMAP   1078
      MCHANX=MCHAN(JSEM)                                                PCHMAP   1079
      JITEM=0                                                           PCHMAP   1080
 820  JITEM=JITEM+1                                                     PCHMAP   1081
      ISCHAN=ISCHAN+1                                                   PCHMAP   1082
      IBUF(JITEM)=ISCHAN                                                PCHMAP   1083
      IF(JITEM.LT.LITEM)GOTO 820                                        PCHMAP   1084
      ITFK=MLFTB(ILIN12-11)                                             PCHMAP   1085
      CALL UPACKI(JJJ,LSTATU,ITFK)                                      PCHMAP   1086
      IF(LSTATU.EQ.0)THEN                                               PCHMAP   1087
         IF(IL.GE.ILDEF)THEN                                            PCHMAP   1088
         IL=4                                                           PCHMAP   1089
         WRITE(IU18,6080)                                               PCHMAP   1090
         ENDIF                                                          PCHMAP   1091
      WRITE(IU18,6090) NLFF,JNAME1,JNAME2,JNAME3                        PCHMAP   1092
     &             ,NLFT,JNAME4,JNAME5,JNAME6,UID                       PCHMAP   1093
     &,(IBUF(KK),KK=1,LITEM)                                            PCHMAP   1094
      IL=IL+1                                                           PCHMAP   1095
      ENDIF                                                             PCHMAP   1096
      IPOS=IPOS+2                                                       PCHMAP   1097
      IF(ICOUNT.LT.ICOUNX)GOTO 810                                      PCHMAP   1098
      ENDIF                                                             PCHMAP   1099
 830  CONTINUE                                                          PCHMAP   1100
C                                                                       PCHMAP   1101
C   ENDIF NLINEO.NE.0                                                   PCHMAP   1102
C                                                                       PCHMAP   1103
      ENDIF                                                             PCHMAP   1104
C                                                                       PCHMAP   1105
C  MONITORED INTERFACES                                                 PCHMAP   1106
C                                                                       PCHMAP   1107
      IF(NINTEO.NE.0)THEN                                               PCHMAP   1108
C                                                                       PCHMAP   1109
C   PRINT FRONT PAGE : TITLE & LIST OF SYMBOLS                          PCHMAP   1110
C                                                                       PCHMAP   1111
      WRITE(IU18,6390)                                                  PCHMAP   1112
      IL=ILDEF                                                          PCHMAP   1113
      DO 880 K=1,NOPTR                                                  PCHMAP   1114
      IPOS=KOPTR(K)                                                     PCHMAP   1115
      JSEM=KOPDAT(IPOS+1)                                               PCHMAP   1116
      IF(JSEM.EQ.15)THEN                                                PCHMAP   1117
      ICOUNX=KOPDAT(IPOS+2)                                             PCHMAP   1118
      IF(ICOUNX .EQ. 0)GOTO 880                                         PCHMAP   1119
      IPOS=IPOS+2                                                       PCHMAP   1120
      ICOUNT=0                                                          PCHMAP   1121
 850  ICOUNT=ICOUNT+1                                                   PCHMAP   1122
      ISCHAN=KOPDAT(IPOS+1)                                             PCHMAP   1123
      JITERF=KOPDAT(IPOS+2)                                             PCHMAP   1124
      JCOUNX=KOPDAT(IPOS+3)                                             PCHMAP   1125
      IPOS=IPOS+3                                                       PCHMAP   1126
      JCOUNT=0                                                          PCHMAP   1127
 860  JCOUNT=JCOUNT+1                                                   PCHMAP   1128
      ILINE=KOPDAT(IPOS+1)                                              PCHMAP   1129
      ILIN12=ILINE*12                                                   PCHMAP   1130
      ITFK=MLFTB(ILIN12-10)                                             PCHMAP   1131
      CALL UPACKI(IPBNOF,IPBNOT,ITFK)                                   PCHMAP   1132
      NLFF=NOLD(IPBNOF)                                                 PCHMAP   1133
      NLFT=NOLD(IPBNOT)                                                 PCHMAP   1134
C                                                                       PCHMAP   1135
C   STORE STATION NAME AND ADDRESS COUNT                                PCHMAP   1136
C                                                                       PCHMAP   1137
      K3=IPBNOF*3                                                       PCHMAP   1138
      JNAME1=INAME(K3-2)                                                PCHMAP   1139
      JNAME2=INAME(K3-1)                                                PCHMAP   1140
      JNAME3=INAME(K3)                                                  PCHMAP   1141
      J3=IPBNOT*3                                                       PCHMAP   1142
      JNAME4=INAME(J3-2)                                                PCHMAP   1143
      JNAME5=INAME(J3-1)                                                PCHMAP   1144
      JNAME6=INAME(J3)                                                  PCHMAP   1145
      IUID=MACKT(ILIN12-9)                                              PCHMAP   1146
      CALL UNPACK(UID,JJJ,IUID)                                         PCHMAP   1147
      ITFK=MLFTB(ILIN12-11)                                             PCHMAP   1148
      CALL UPACKI(JJJ,LSTATU,ITFK)                                      PCHMAP   1149
      IF(LSTATU.GE.0)THEN                                               PCHMAP   1150
         IF(IL.GE.ILDEF)THEN                                            PCHMAP   1151
         IL=3                                                           PCHMAP   1152
         WRITE(IU18,6400)                                               PCHMAP   1153
         ENDIF                                                          PCHMAP   1154
      WRITE(IU18,6090) NLFF,JNAME1,JNAME2,JNAME3                        PCHMAP   1155
     &             ,NLFT,JNAME4,JNAME5,JNAME6,UID                       PCHMAP   1156
      IL=IL+1                                                           PCHMAP   1157
      ENDIF                                                             PCHMAP   1158
      IPOS=IPOS+1                                                       PCHMAP   1159
      IF(JCOUNT.LT.JCOUNX)GOTO 860                                      PCHMAP   1160
      LITEM=NCHAN(JSEM)                                                 PCHMAP   1161
      MCHANX=MCHAN(JSEM)                                                PCHMAP   1162
      ISCHAN=ISCHAN+1                                                   PCHMAP   1163
      IBUF(1)=ISCHAN                                                    PCHMAP   1164
      ISCHAN=ISCHAN+1                                                   PCHMAP   1165
      IBUF(2)=ISCHAN                                                    PCHMAP   1166
      WRITE(IU18,6410) IBUF(1),IBUF(2),(KNTERF(LL,JITERF),LL=1,6)       PCHMAP   1167
       IF(ICOUNT.LT.ICOUNX)GOTO 850                                     PCHMAP   1168
      ENDIF                                                             PCHMAP   1169
 880  CONTINUE                                                          PCHMAP   1170
C                                                                       PCHMAP   1171
C   ENDIF NINTEO.NE.0                                                   PCHMAP   1172
C                                                                       PCHMAP   1173
      ENDIF                                                             PCHMAP   1174
C                                                                       PCHMAP   1175
C   PREPARE DC ARRAYS                                                   PCHMAP   1176
C                                                                       PCHMAP   1177
      IF(NCONVO.NE.0)THEN                                               PCHMAP   1178
C                                                                       PCHMAP   1179
C   PRINT FRONT PAGE : TITLE & LIST OF SYMBOLS                          PCHMAP   1180
C                                                                       PCHMAP   1181
      WRITE(IU18,6500)                                                  PCHMAP   1182
      IL=ILDEF                                                          PCHMAP   1183
      DO 910 K=1,NOPTR                                                  PCHMAP   1184
      IPOS=KOPTR(K)                                                     PCHMAP   1185
      JSEM=KOPDAT(IPOS+1)                                               PCHMAP   1186
      IF(JSEM.EQ.11)THEN                                                PCHMAP   1187
      ICOUNX=KOPDAT(IPOS+2)                                             PCHMAP   1188
      IF(ICOUNX .EQ. 0)GOTO 910                                         PCHMAP   1189
      IPOS=IPOS+2                                                       PCHMAP   1190
      ICOUNT=0                                                          PCHMAP   1191
      IOFF=KOPDAT(IPOS+2)                                               PCHMAP   1192
 890  ICOUNT=ICOUNT+1                                                   PCHMAP   1193
      JPOSN=KOPDAT(IPOS+1)                                              PCHMAP   1194
      ISCHAN=KOPDAT(IPOS+2)                                             PCHMAP   1195
      IPOS=IPOS+2                                                       PCHMAP   1196
      IF(JPOSN.NE.0)THEN                                                PCHMAP   1197
      LDCNAM=DCCNAM(JPOSN)                                              PCHMAP   1198
      ELSE                                                              PCHMAP   1199
      LDCNAM='                            '                             PCHMAP   1200
      ENDIF                                                             PCHMAP   1201
      CNAME1=LDCNAM(1:4)                                                PCHMAP   1202
      CNAME2=LDCNAM(5:8)                                                PCHMAP   1203
      CNAME3=LDCNAM(9:12)                                               PCHMAP   1204
      CNAME4=LDCNAM(13:16)                                              PCHMAP   1205
      CNAME5=LDCNAM(17:20)                                              PCHMAP   1206
      CNAME6=LDCNAM(21:24)                                              PCHMAP   1207
      CNAME7=LDCNAM(25:28)                                              PCHMAP   1208
      CNAME8=LDCNAM(29:29)                                              PCHMAP   1209
      MCHANX=MCHAN(JSEM)                                                PCHMAP   1210
      LITEM=NCHAN(JSEM)                                                 PCHMAP   1211
      DO 900 JITEM=1,LITEM                                              PCHMAP   1212
      ISCHAN=ISCHAN+1                                                   PCHMAP   1213
      IBUF(JITEM)=ISCHAN                                                PCHMAP   1214
 900  CONTINUE                                                          PCHMAP   1215
      IF(JPOSN.NE.0)THEN                                                PCHMAP   1216
      IF(IL.GE.ILDEF)THEN                                               PCHMAP   1217
      IL=3                                                              PCHMAP   1218
      WRITE(IU18,6600)                                                  PCHMAP   1219
      ENDIF                                                             PCHMAP   1220
      WRITE(IU18,6490) LDCNAM,(IBUF(LI),LI=1,7)                         PCHMAP   1221
      IL=IL+1                                                           PCHMAP   1222
      ENDIF                                                             PCHMAP   1223
      IF(ICOUNT.LT.ICOUNX)GOTO 890                                      PCHMAP   1224
C                                                                       PCHMAP   1225
C   ENDIF JSEM.EQ.11                                                    PCHMAP   1226
C                                                                       PCHMAP   1227
      ENDIF                                                             PCHMAP   1228
 910  CONTINUE                                                          PCHMAP   1229
C                                                                       PCHMAP   1230
C    ENDIF NCONVO.NE.0                                                  PCHMAP   1231
C                                                                       PCHMAP   1232
      ENDIF                                                             PCHMAP   1233
C                                                                       PCHMAP   1234
      IF(NUDCO.NE.0)THEN                                                PCHMAP   1235
C                                                                       PCHMAP   1236
C   PRINT FRONT PAGE : TITLE & LIST OF SYMBOLS                          PCHMAP   1237
C                                                                       PCHMAP   1238
      WRITE(IU18,6610)                                                  PCHMAP   1239
      IL=ILDEF                                                          PCHMAP   1240
      DO 930 K=1,NOPTR                                                  PCHMAP   1241
      IPOS=KOPTR(K)                                                     PCHMAP   1242
      JSEM=KOPDAT(IPOS+1)                                               PCHMAP   1243
      IF(JSEM.EQ.12)THEN                                                PCHMAP   1244
      ICOUNX=KOPDAT(IPOS+2)                                             PCHMAP   1245
      IF(ICOUNX .EQ. 0)GOTO 930                                         PCHMAP   1246
      IPOS=IPOS+2                                                       PCHMAP   1247
      ICOUNT=0                                                          PCHMAP   1248
      JL=0                                                              PCHMAP   1249
 920  ICOUNT=ICOUNT+1                                                   PCHMAP   1250
      NEXT=KOPDAT(IPOS+1)                                               PCHMAP   1251
      ISCHAN=KOPDAT(IPOS+2)+1                                           PCHMAP   1252
      IPOS=IPOS+2                                                       PCHMAP   1253
      MCHANX=MCHAN(12)                                                  PCHMAP   1254
      IF(NEXT.NE.0)THEN                                                 PCHMAP   1255
      LUDNAM=UDNAME(NEXT)                                               PCHMAP   1256
      CNAME1=LUDNAM(1:4)                                                PCHMAP   1257
      CNAME2=LUDNAM(5:8)                                                PCHMAP   1258
      CNAME3=LUDNAM(9:12)                                               PCHMAP   1259
      CNAME4=LUDNAM(13:16)                                              PCHMAP   1260
      CNAME5=LUDNAM(17:17)                                              PCHMAP   1261
      ELSE                                                              PCHMAP   1262
      LUDNAM='                 '                                        PCHMAP   1263
      ENDIF                                                             PCHMAP   1264
      IF(NEXT.NE.0)THEN                                                 PCHMAP   1265
      JL=JL+1                                                           PCHMAP   1266
      LNAME(JL)=LUDNAM                                                  PCHMAP   1267
      IBUF(JL)=ISCHAN                                                   PCHMAP   1268
      ENDIF                                                             PCHMAP   1269
      IF(JL.EQ.4)THEN                                                   PCHMAP   1270
      IF(IL.GE.ILDEF)THEN                                               PCHMAP   1271
      WRITE(IU18,6620)                                                  PCHMAP   1272
      IL=3                                                              PCHMAP   1273
      ENDIF                                                             PCHMAP   1274
      WRITE(IU18,6470) (LNAME(KK),IBUF(KK),KK=1,JL)                     PCHMAP   1275
      IL=IL+1                                                           PCHMAP   1276
      JL=0                                                              PCHMAP   1277
      ENDIF                                                             PCHMAP   1278
      IF(ICOUNT.LT.ICOUNX)GOTO 920                                      PCHMAP   1279
      IF(JL.NE.0)THEN                                                   PCHMAP   1280
      IF(IL.GE.ILDEF)THEN                                               PCHMAP   1281
      WRITE(IU18,6620)                                                  PCHMAP   1282
      ENDIF                                                             PCHMAP   1283
      WRITE(IU18,6470) (LNAME(KK),IBUF(KK),KK=1,JL)                     PCHMAP   1284
      ENDIF                                                             PCHMAP   1285
C                                                                       PCHMAP   1286
C   ENDIF JSEM.EQ.12                                                    PCHMAP   1287
C                                                                       PCHMAP   1288
      ENDIF                                                             PCHMAP   1289
C                                                                       PCHMAP   1290
 930  CONTINUE                                                          PCHMAP   1291
C                                                                       PCHMAP   1292
C   ENDIF NUDCO.NE.0                                                    PCHMAP   1293
C                                                                       PCHMAP   1294
      ENDIF                                                             PCHMAP   1295
C                                                                       PCHMAP   1296
      IF(NDVOLO.NE.0)THEN                                               PCHMAP   1297
C                                                                       PCHMAP   1298
C   PRINT FRONT PAGE : TITLE & LIST OF SYMBOLS                          PCHMAP   1299
C                                                                       PCHMAP   1300
      WRITE(IU18,6630)                                                  PCHMAP   1301
      IL=ILDEF                                                          PCHMAP   1302
      DO 950 K=1,NOPTR                                                  PCHMAP   1303
      IPOS=KOPTR(K)                                                     PCHMAP   1304
      JSEM=KOPDAT(IPOS+1)                                               PCHMAP   1305
      IF(JSEM.EQ.17)THEN                                                PCHMAP   1306
      ICOUNX=KOPDAT(IPOS+2)                                             PCHMAP   1307
      IF(ICOUNX .EQ. 0)GOTO 950                                         PCHMAP   1308
      IPOS=IPOS+2                                                       PCHMAP   1309
      ICOUNT=0                                                          PCHMAP   1310
      JL=0                                                              PCHMAP   1311
 940  ICOUNT=ICOUNT+1                                                   PCHMAP   1312
      NEXT=KOPDAT(IPOS+1)                                               PCHMAP   1313
      ISCHAN=KOPDAT(IPOS+2)+1                                           PCHMAP   1314
      IPOS=IPOS+2                                                       PCHMAP   1315
      MCHANX=MCHAN(17)                                                  PCHMAP   1316
      IF(NEXT.NE.0)THEN                                                 PCHMAP   1317
      DCNAME=IDCNOD(NEXT)                                               PCHMAP   1318
      CNAME1=DCNAME(1:4)                                                PCHMAP   1319
      CNAME2=DCNAME(5:8)                                                PCHMAP   1320
      ELSE                                                              PCHMAP   1321
      DCNAME='        '                                                 PCHMAP   1322
      ENDIF                                                             PCHMAP   1323
      IF(NEXT.NE.0)THEN                                                 PCHMAP   1324
      JL=JL+1                                                           PCHMAP   1325
      KNAME(JL)=DCNAME                                                  PCHMAP   1326
      IBUF(JL)=ISCHAN                                                   PCHMAP   1327
      ENDIF                                                             PCHMAP   1328
      IF(JL.EQ.6)THEN                                                   PCHMAP   1329
      IF(IL.GE.ILDEF)THEN                                               PCHMAP   1330
      WRITE(IU18,6640)                                                  PCHMAP   1331
      IL=3                                                              PCHMAP   1332
      ENDIF                                                             PCHMAP   1333
      WRITE(IU18,6480) (KNAME(KK),IBUF(KK),KK=1,JL)                     PCHMAP   1334
      IL=IL+1                                                           PCHMAP   1335
      JL=0                                                              PCHMAP   1336
      ENDIF                                                             PCHMAP   1337
      IF(ICOUNT.LT.ICOUNX)GOTO 940                                      PCHMAP   1338
      IF(JL.NE.0)THEN                                                   PCHMAP   1339
      IF(IL.GE.ILDEF)THEN                                               PCHMAP   1340
      WRITE(IU18,6650)                                                  PCHMAP   1341
      ENDIF                                                             PCHMAP   1342
      WRITE(IU18,6480) (KNAME(KK),IBUF(KK),KK=1,JL)                     PCHMAP   1343
      ENDIF                                                             PCHMAP   1344
C                                                                       PCHMAP   1345
C   ENDIF JSEM.EQ.17                                                    PCHMAP   1346
C                                                                       PCHMAP   1347
      ENDIF                                                             PCHMAP   1348
C                                                                       PCHMAP   1349
 950  CONTINUE                                                          PCHMAP   1350
C                                                                       PCHMAP   1351
C   ENDIF NDVOLO.NE.0                                                   PCHMAP   1352
C                                                                       PCHMAP   1353
      ENDIF                                                             PCHMAP   1354
C                                                                       PCHMAP   1355
      RETURN                                                            PCHMAP   1356
C                                                                       PCHMAP   1357
 5000 CONTINUE                                                          PCHMAP   1358
      DO 5030 K=1,NOPTR                                                 PCHMAP   1359
      IPOS=KOPTR(K)                                                     PCHMAP   1360
      JSEM=KOPDAT(IPOS+1)                                               PCHMAP   1361
      IF(JSEM.EQ.KSEM)THEN                                              PCHMAP   1362
      MCHANX=MCHAN(JSEM)                                                PCHMAP   1363
      ICOUNX=KOPDAT(IPOS+2)                                             PCHMAP   1364
      IF(ICOUNX .EQ. 0)GOTO 5030                                        PCHMAP   1365
      IPOS=IPOS+2                                                       PCHMAP   1366
      ICOUNT=0                                                          PCHMAP   1367
 5010 ICOUNT=ICOUNT+1                                                   PCHMAP   1368
      IPBNO=KOPDAT(IPOS+1)                                              PCHMAP   1369
      IF(IPBNO.NE.0)THEN                                                PCHMAP   1370
      NLF=NOLD(IPBNO)                                                   PCHMAP   1371
C                                                                       PCHMAP   1372
C   STORE STATION NAME AND ADDRESS COUNT                                PCHMAP   1373
C                                                                       PCHMAP   1374
      K3=IPBNO*3                                                        PCHMAP   1375
      JNAME1=INAME(K3-2)                                                PCHMAP   1376
      JNAME2=INAME(K3-1)                                                PCHMAP   1377
      JNAME3=INAME(K3)                                                  PCHMAP   1378
      IMAC=KOPDAT(IPOS+2)                                               PCHMAP   1379
      LITEM=KOPDAT(IPOS+3)                                              PCHMAP   1380
      ISCHAN=KOPDAT(IPOS+4)                                             PCHMAP   1381
      IF(IMAC.NE.0)THEN                                                 PCHMAP   1382
      UID(1:2)=NDGC(IMAC)(3:4)                                          PCHMAP   1383
      ELSE                                                              PCHMAP   1384
      UID='  '                                                          PCHMAP   1385
      ENDIF                                                             PCHMAP   1386
      JITEM=0                                                           PCHMAP   1387
      LL=0                                                              PCHMAP   1388
 5020 JITEM=JITEM+1                                                     PCHMAP   1389
      LL=LL+2                                                           PCHMAP   1390
      NSTNO=KOPDAT(IPOS+JITEM+4)                                        PCHMAP   1391
      ISCHAN=ISCHAN+1                                                   PCHMAP   1392
      IBUF(LL-1)=NSTNO                                                  PCHMAP   1393
      IBUF(LL)=ISCHAN                                                   PCHMAP   1394
      IF(JITEM.LT.LITEM)GOTO 5020                                       PCHMAP   1395
C                                                                       PCHMAP   1396
      IF(IL.GE.ILDEF)THEN                                               PCHMAP   1397
      IL=3                                                              PCHMAP   1398
      WRITE(IU18,IFTIL)                                                 PCHMAP   1399
      ENDIF                                                             PCHMAP   1400
      WRITE(IU18,6330) NLF,JNAME1,JNAME2,JNAME3,UID                     PCHMAP   1401
     &,(IBUF(J),J=1,LL)                                                 PCHMAP   1402
      IL=IL+1                                                           PCHMAP   1403
C                                                                       PCHMAP   1404
C   ENDIF IPBNO.GT.0                                                    PCHMAP   1405
C                                                                       PCHMAP   1406
      ENDIF                                                             PCHMAP   1407
      IPOS=IPOS+4+LITEM                                                 PCHMAP   1408
      IF(ICOUNT.LT.ICOUNX)GOTO 5010                                     PCHMAP   1409
      ENDIF                                                             PCHMAP   1410
C                                                                       PCHMAP   1411
 5030 CONTINUE                                                          PCHMAP   1412
      GOTO I5000                                                        PCHMAP   1413
C                                                                       PCHMAP   1414
 5100 CONTINUE                                                          PCHMAP   1415
C                                                                       PCHMAP   1416
C  URAN USTC AND USPS BLOCK OUTPUTS                                     PCHMAP   1417
C                                                                       PCHMAP   1418
      IL=ILDEF                                                          PCHMAP   1419
      MCHANX=MCHAN(KSEM)                                                PCHMAP   1420
      DO 5160 K=1,NOPTR                                                 PCHMAP   1421
      IPOS=KOPTR(K)                                                     PCHMAP   1422
      JSEM=KOPDAT(IPOS+1)                                               PCHMAP   1423
      IF(JSEM.EQ.KSEM)THEN                                              PCHMAP   1424
      ICOUNX=KOPDAT(IPOS+2)                                             PCHMAP   1425
      IF(ICOUNX .EQ. 0)GOTO 5160                                        PCHMAP   1426
      IPOS=IPOS+2                                                       PCHMAP   1427
      ICOUNT=0                                                          PCHMAP   1428
 5140 ICOUNT=ICOUNT+1                                                   PCHMAP   1429
      IMAC=KOPDAT(IPOS+1)                                               PCHMAP   1430
      KITEM=KOPDAT(IPOS+2)                                              PCHMAP   1431
      ISCHAN=KOPDAT(IPOS+3)                                             PCHMAP   1432
      IPOS=IPOS+3                                                       PCHMAP   1433
      IERROR=1                                                          PCHMAP   1434
      IF(IMAC.NE.0)THEN                                                 PCHMAP   1435
      IERROR=0                                                          PCHMAP   1436
      IF(KSEM.EQ.23)THEN                                                PCHMAP   1437
      JR=JRDAT(IMAC)                                                    PCHMAP   1438
      ELSE                                                              PCHMAP   1439
      JR=JTPDAT(IMAC)                                                   PCHMAP   1440
      ENDIF                                                             PCHMAP   1441
      IPBNOF=IDDAT(JR+1)                                                PCHMAP   1442
      IPBNOT=IDDAT(JR+2)                                                PCHMAP   1443
      IUID=IDDAT(JR+3)                                                  PCHMAP   1444
      CALL UNPACK(UID,JJJ,IUID)                                         PCHMAP   1445
         IF(IPBNOF.GT.0)THEN                                            PCHMAP   1446
         NLFF=NOLD(IPBNOF)                                              PCHMAP   1447
         K3=IPBNOF*3                                                    PCHMAP   1448
         JNAME1=INAME(K3-2)                                             PCHMAP   1449
         JNAME2=INAME(K3-1)                                             PCHMAP   1450
         JNAME3=INAME(K3)                                               PCHMAP   1451
         ELSE                                                           PCHMAP   1452
         IERROR=1                                                       PCHMAP   1453
         ENDIF                                                          PCHMAP   1454
         IF(IPBNOT.GT.0)THEN                                            PCHMAP   1455
         NLFT=NOLD(IPBNOT)                                              PCHMAP   1456
         J3=IPBNOT*3                                                    PCHMAP   1457
         JNAME4=INAME(J3-2)                                             PCHMAP   1458
         JNAME5=INAME(J3-1)                                             PCHMAP   1459
         JNAME6=INAME(J3)                                               PCHMAP   1460
         ELSE                                                           PCHMAP   1461
         IERROR=1                                                       PCHMAP   1462
         ENDIF                                                          PCHMAP   1463
      ENDIF                                                             PCHMAP   1464
      JITEM=0                                                           PCHMAP   1465
      LL=0                                                              PCHMAP   1466
 5150 JITEM=JITEM+1                                                     PCHMAP   1467
      ISCHAN=ISCHAN+1                                                   PCHMAP   1468
      IPOS=IPOS+1                                                       PCHMAP   1469
      NSTNO=KOPDAT(IPOS)                                                PCHMAP   1470
      LL=LL+2                                                           PCHMAP   1471
      IBUF(LL-1)=NSTNO                                                  PCHMAP   1472
      IBUF(LL)=ISCHAN                                                   PCHMAP   1473
      IF(JITEM.LT.KITEM)GOTO 5150                                       PCHMAP   1474
         IF(IERROR.EQ.0)THEN                                            PCHMAP   1475
            IF(IL.GE.ILDEF)THEN                                         PCHMAP   1476
            IL=3                                                        PCHMAP   1477
            WRITE(IU18,IFTIL)                                           PCHMAP   1478
            ENDIF                                                       PCHMAP   1479
            WRITE(IU18,6750) NLFF,JNAME1,JNAME2,JNAME3                  PCHMAP   1480
     &                      ,NLFT,JNAME4,JNAME5,JNAME6,UID              PCHMAP   1481
     &                      ,(IBUF(KK),KK=1,LL)                         PCHMAP   1482
            IL=IL+1                                                     PCHMAP   1483
         ENDIF                                                          PCHMAP   1484
      IF(ICOUNT.LT.ICOUNX)GOTO 5140                                     PCHMAP   1485
      ENDIF                                                             PCHMAP   1486
 5160  CONTINUE                                                         PCHMAP   1487
      GOTO I5100                                                        PCHMAP   1488
C                                                                       PCHMAP   1489
 5200 CONTINUE                                                          PCHMAP   1490
C                                                                       PCHMAP   1491
C  USER DEFINED SVC BLOCK OUTPUTS                                       PCHMAP   1492
C                                                                       PCHMAP   1493
      IL=ILDEF                                                          PCHMAP   1494
      MCHANX=MCHAN(KSEM)                                                PCHMAP   1495
      DO 5230 K=1,NOPTR                                                 PCHMAP   1496
      IPOS=KOPTR(K)                                                     PCHMAP   1497
      JSEM=KOPDAT(IPOS+1)                                               PCHMAP   1498
      IF(JSEM.EQ.KSEM)THEN                                              PCHMAP   1499
      ICOUNX=KOPDAT(IPOS+2)                                             PCHMAP   1500
      IF(ICOUNX .EQ. 0)GOTO 5230                                        PCHMAP   1501
      IPOS=IPOS+2                                                       PCHMAP   1502
      ICOUNT=0                                                          PCHMAP   1503
 5210 ICOUNT=ICOUNT+1                                                   PCHMAP   1504
      IPBNO=KOPDAT(IPOS+1)                                              PCHMAP   1505
      ITFK=KOPDAT(IPOS+2)                                               PCHMAP   1506
      CALL UNPACK(UID,LITEM,ITFK)                                       PCHMAP   1507
      IF(IPBNO.NE.0)THEN                                                PCHMAP   1508
      NLF=NOLD(IPBNO)                                                   PCHMAP   1509
C                                                                       PCHMAP   1510
C   STORE STATION NAME AND ADDRESS COUNT                                PCHMAP   1511
C                                                                       PCHMAP   1512
      K3=IPBNO*3                                                        PCHMAP   1513
      JNAME1=INAME(K3-2)                                                PCHMAP   1514
      JNAME2=INAME(K3-1)                                                PCHMAP   1515
      JNAME3=INAME(K3)                                                  PCHMAP   1516
      IMAC=KOPDAT(IPOS+3)                                               PCHMAP   1517
      ISCHAN=KOPDAT(IPOS+4)                                             PCHMAP   1518
      JITEM=0                                                           PCHMAP   1519
      LL=0                                                              PCHMAP   1520
 5220 JITEM=JITEM+1                                                     PCHMAP   1521
      LL=LL+2                                                           PCHMAP   1522
      NSTNO=KOPDAT(IPOS+JITEM+4)                                        PCHMAP   1523
      ISCHAN=ISCHAN+1                                                   PCHMAP   1524
      IBUF(LL-1)=NSTNO                                                  PCHMAP   1525
      IBUF(LL)=ISCHAN                                                   PCHMAP   1526
      IF(JITEM.LT.LITEM)GOTO 5220                                       PCHMAP   1527
C                                                                       PCHMAP   1528
      IF(IL.GE.ILDEF)THEN                                               PCHMAP   1529
      IL=3                                                              PCHMAP   1530
      WRITE(IU18,IFTIL)                                                 PCHMAP   1531
      ENDIF                                                             PCHMAP   1532
      WRITE(IU18,6725) NLF,JNAME1,JNAME2,JNAME3,UID                     PCHMAP   1533
     &,(IBUF(J),J=1,LL)                                                 PCHMAP   1534
      IL=IL+1                                                           PCHMAP   1535
C                                                                       PCHMAP   1536
C   ENDIF IPBNO.GT.0                                                    PCHMAP   1537
C                                                                       PCHMAP   1538
      ENDIF                                                             PCHMAP   1539
      IPOS=IPOS+4+LITEM                                                 PCHMAP   1540
      IF(ICOUNT.LT.ICOUNX)GOTO 5210                                     PCHMAP   1541
      ENDIF                                                             PCHMAP   1542
C                                                                       PCHMAP   1543
 5230 CONTINUE                                                          PCHMAP   1544
C                                                                       PCHMAP   1545
      GOTO I5200                                                        PCHMAP   1546
C                                                                       PCHMAP   1547
C                                                                       PCHMAP   1548
 5240 CONTINUE                                                          PCHMAP   1549
C                                                                       PCHMAP   1550
C  USER DEFINED SDB BLOCK OUTPUTS                                       PCHMAP   1551
C                                                                       PCHMAP   1552
      IL=ILDEF                                                          PCHMAP   1553
      MCHANX=MCHAN(KSEM)                                                PCHMAP   1554
      DO 5270 K=1,NOPTR                                                 PCHMAP   1555
      IPOS=KOPTR(K)                                                     PCHMAP   1556
      JSEM=KOPDAT(IPOS+1)                                               PCHMAP   1557
      IF(JSEM.EQ.KSEM)THEN                                              PCHMAP   1558
      ICOUNX=KOPDAT(IPOS+2)                                             PCHMAP   1559
      IF(ICOUNX .EQ. 0)GOTO 5270                                        PCHMAP   1560
      IPOS=IPOS+2                                                       PCHMAP   1561
      ICOUNT=0                                                          PCHMAP   1562
 5250 ICOUNT=ICOUNT+1                                                   PCHMAP   1563
      IPBNO=KOPDAT(IPOS+1)                                              PCHMAP   1564
      IF(IPBNO.NE.0)THEN                                                PCHMAP   1565
      NLF=NOLD(IPBNO)                                                   PCHMAP   1566
C                                                                       PCHMAP   1567
C   STORE STATION NAME AND ADDRESS COUNT                                PCHMAP   1568
C                                                                       PCHMAP   1569
      K3=IPBNO*3                                                        PCHMAP   1570
      JNAME1=INAME(K3-2)                                                PCHMAP   1571
      JNAME2=INAME(K3-1)                                                PCHMAP   1572
      JNAME3=INAME(K3)                                                  PCHMAP   1573
      IMAC=KOPDAT(IPOS+2)                                               PCHMAP   1574
      LITEM=KOPDAT(IPOS+3)                                              PCHMAP   1575
      ISCHAN=KOPDAT(IPOS+4)                                             PCHMAP   1576
      JITEM=0                                                           PCHMAP   1577
      LL=0                                                              PCHMAP   1578
 5260 JITEM=JITEM+1                                                     PCHMAP   1579
      LL=LL+2                                                           PCHMAP   1580
      NSTNO=KOPDAT(IPOS+JITEM+4)                                        PCHMAP   1581
      ISCHAN=ISCHAN+1                                                   PCHMAP   1582
      IBUF(LL-1)=NSTNO                                                  PCHMAP   1583
      IBUF(LL)=ISCHAN                                                   PCHMAP   1584
      IF(JITEM.LT.LITEM)GOTO 5260                                       PCHMAP   1585
C                                                                       PCHMAP   1586
      IF(IL.GE.ILDEF)THEN                                               PCHMAP   1587
      IL=3                                                              PCHMAP   1588
      WRITE(IU18,IFTIL)                                                 PCHMAP   1589
      ENDIF                                                             PCHMAP   1590
      WRITE(IU18,6730) NLF,JNAME1,JNAME2,JNAME3                         PCHMAP   1591
     &,(IBUF(J),J=1,LL)                                                 PCHMAP   1592
      IL=IL+1                                                           PCHMAP   1593
C                                                                       PCHMAP   1594
C   ENDIF IPBNO.GT.0                                                    PCHMAP   1595
C                                                                       PCHMAP   1596
      ENDIF                                                             PCHMAP   1597
      IPOS=IPOS+4+LITEM                                                 PCHMAP   1598
      IF(ICOUNT.LT.ICOUNX)GOTO 5250                                     PCHMAP   1599
      ENDIF                                                             PCHMAP   1600
C                                                                       PCHMAP   1601
 5270 CONTINUE                                                          PCHMAP   1602
C                                                                       PCHMAP   1603
      GOTO I5240                                                        PCHMAP   1604
C                                                                       PCHMAP   1605
C                                                                       PCHMAP   1606
 6010 FORMAT('1',1X,3('* '),' DEVICE :     GENERATOR      ',3('* ')     PCHMAP   1607
     &,/,2X,'BUS#',1X,'STATION NAME',1X,'GID',4X,'  VM'                 PCHMAP   1608
     &,2X,'  MW',2X,'  MX',2X,' ABS',2X,' DOM',2X,'TMEC'                PCHMAP   1609
     &,2X,' EFD',2X,' IFD',2X,'  CR',2X,'  CI',2X,'  ZR',2X,'  ZI'      PCHMAP   1610
     &,/,2X,4('-'),1X,12('-'),1X,3('-'),2X,12(2X,4('-')))               PCHMAP   1611
 6020 FORMAT (1X,I5,1X,3A4,1X,A2,3X,12I6)                               PCHMAP   1612
 6030 FORMAT (1X,I5,1X,3A4,2X,6I6)                                      PCHMAP   1613
 6040 FORMAT ('+',T71,I6,1X,3A4,2X,6I6)                                 PCHMAP   1614
 6060 FORMAT (3(1X,I5,1X,3A4,2X,2I6,9X))                                PCHMAP   1615
 6070 FORMAT ('1',1X,3('* '),' DEVICE : MONITORED BUS ',3('* ')         PCHMAP   1616
     &,/,3('  BUS# BUS NAME          VM  VANG',9X)                      PCHMAP   1617
     &,/,3(2X,4('-'),1X,12('-'),2X,2(2X,'----'),9X))                    PCHMAP   1618
 6080 FORMAT ('1 ',3('* '),' DEVICE : MONITORED LINE ',3(' *'),/        PCHMAP   1619
     *,'  FROM',16X,'TO',/,2('  BUS# BUS NAME    '),'   CID      MW'    PCHMAP   1620
     *,'    MX    CM  CANG  APPR  APPX',/,2('  ---- ',12('-'))          PCHMAP   1621
     *,'   ---  ',6('  ----'))                                          PCHMAP   1622
 6090 FORMAT(I6,1X,3A4,I6,1X,3A4,4X,A2,2X,6I6)                          PCHMAP   1623
 6100 FORMAT ('1',//,50X,40('=')                                        PCHMAP   1624
     &,//,53X,'CHANNEL MAP FOR DETAILED GENERATOR'                      PCHMAP   1625
     &,//,50X,40('='),//,40X,'LIST OF SYMBOLS :',/,40X,17('-')          PCHMAP   1626
     &,//,40X,'VM    --  TERMINAL VOLTAGE MAGNITUDE'                    PCHMAP   1627
     &,//,40X,'MW    --  ACTIVE GENERATION'                             PCHMAP   1628
     &,//,40X,'MX    --  REACTIVE GENERATION'                           PCHMAP   1629
     &,//,40X,'ABS   --  ABSOLUTE MACHINE ANGLE'                        PCHMAP   1630
     &,//,40X,'DOM   --  SPEED DEVIATION'                               PCHMAP   1631
     &,//,40X,'TMEC  --  MECHANICAL TORQUE'                             PCHMAP   1632
     &,//,40X,'EFD   --  FIELD VOLTAGE'                                 PCHMAP   1633
     &,//,40X,'IFD   --  FIELD CURRENT'                                 PCHMAP   1634
     &,//,40X,'CR    --  OUTPUT CURRENT REAL COMPONENT'                 PCHMAP   1635
     &,//,40X,'CI    --  OUTPUT CURRENT IMAGINARY COMPONENT'            PCHMAP   1636
     &,//,40X,'ZR    --  TERMINAL APPARENT IMPEDANCE REAL'              PCHMAP   1637
     &,//,40X,'ZI    --  TERMINAL APPARENT IMPEDANCE IMAGINARY')        PCHMAP   1638
 6120 FORMAT('1',///,50X,40('=')                                        PCHMAP   1639
     &,//,57X,'CHANNEL MAP FOR MONITORED BUS',//,50X,40('=')            PCHMAP   1640
     &,//,40X,'LIST OF SYMBOLS :',/,40X,17('-')                         PCHMAP   1641
     &,//,40X,'VM    --  BUS VOLTAGE MAGNITUDE'                         PCHMAP   1642
     &,//,40X,'VANG  --  BUS VOLTAGE PHASE ANGLE')                      PCHMAP   1643
 6130 FORMAT('1',///,50X,40('='),//,53X,'CHANNEL MAP FOR MONITORED LINE'PCHMAP   1644
     +,//,50X,40('='),//,40X,'LIST OF SYMBOLS :',/,40X,17('-')          PCHMAP   1645
     &,//,40X,'MW    --  ACTIVE FLOW'                                   PCHMAP   1646
     &,//,40X,'MX    --  REACTIVE FLOW'                                 PCHMAP   1647
     &,//,40X,'CM    --  LINE CURRENT MAGNITUDE'                        PCHMAP   1648
     &,//,40X,'CANG  --  LINE CURRENT ANGLE'                            PCHMAP   1649
     &,//,40X,'APPR  --  REAL APPARENT IMPEDANCE'                       PCHMAP   1650
     &,//,40X,'APPX  --  IMARGINARY APPARENT IMPEDANCE')                PCHMAP   1651
 6160 FORMAT('1',///,50X,40('=')                                        PCHMAP   1652
     &,//,53X,'CHANNEL MAP FOR INDUCTION MOTORS'                        PCHMAP   1653
     &,//,50X,40('='),//,40X,'LIST OF SYMBOLS :',/,40X,17('-')          PCHMAP   1654
     &,//,40X,'VM    --  MOTOR TERMINAL VOLTAGE'                        PCHMAP   1655
     &,//,40X,'MW    --  MOTOR REAL POWER '                             PCHMAP   1656
     &,//,40X,'MX    --  MOTOR REACTIVE POWER'                          PCHMAP   1657
     &,//,40X,'SPDD  --  MOTOR SPEED'                                   PCHMAP   1658
     &,//,40X,'CM    --  MOTOR TERMINAL CURRENT'                        PCHMAP   1659
     &,//,40X,'TMEC  --  MECHANICAL POWER')                             PCHMAP   1660
 6170 FORMAT ('1 * * *  DEVICE: INDUCTION MOTORS  * * *',/              PCHMAP   1661
     *,'  BUS# STATION NAME UID    VM    MW    MX  SPDD    CM  TMEC'    PCHMAP   1662
     *,T73,'BUS# STATION NAME UID    VM    MW    MX  SPDD    CM  TMEC'  PCHMAP   1663
     *,/,'  ---- ------------ ---',6('  ----'),T73                      PCHMAP   1664
     *,'---- ------------ ---',6('  ----'))                             PCHMAP   1665
 6180 FORMAT(I6,1X,3A4,1X,A2,1X,6I6)                                    PCHMAP   1666
 6190 FORMAT ('+',T71,I6,1X,3A4,1X,A2,1X,6I6)                           PCHMAP   1667
 6200 FORMAT('1',///,50X,40('=')                                        PCHMAP   1668
     &,//,57X,'CHANNEL MAP FOR SVC/REACTOR BUS'                         PCHMAP   1669
     &,//,50X,40('='),//,40X,'LIST OF SYMBOLS :',/,40X,17('-')          PCHMAP   1670
     &,//,40X,'VM   --  REACTOR TERMINAL VOLTAGE'                       PCHMAP   1671
     &,//,40X,'VS   --  SENSING TERMINAL VOLTAGE'                       PCHMAP   1672
     &,//,40X,'MX   --  VAR INJECTED')                                  PCHMAP   1673
 6210 FORMAT ('1',1X,3('* '),' DEVICE : SVC/REACTOR BUS ',3('* ')       PCHMAP   1674
     &,/,2(2X,'BUS#',1X,'STATION NAME CID'                              PCHMAP   1675
     &,4X,' VM ',2X,' ES ',2X,' MX ',3X)                                PCHMAP   1676
     &,/,2(2X,4('-'),1X,12('-'),1X,3('-'),2X,3(2X,'----'),3X))          PCHMAP   1677
 6220 FORMAT (2(1X,I5,1X,3A4,2X,A2,2X,3I6,2X))                          PCHMAP   1678
 6230 FORMAT('1',//,50X,41('=')                                         PCHMAP   1679
     &,//,50X,'CHANNEL MAP FOR GENERATOR CONTROL SIGNALS'               PCHMAP   1680
     &,//,50X,41('='),//,40X,'LIST OF SYMBOLS :',/,40X,17('-')          PCHMAP   1681
     &,//,40X,'VREG  --  COMPENSATOR OUPUT'                             PCHMAP   1682
     &,//,40X,'VSO   --  STABILIZER OUTPUT'                             PCHMAP   1683
     &,//,40X,'VUAL  --  UNDER EXCITED CURRENT LIMITER'                 PCHMAP   1684
     &,//,40X,'GSO   --  EXCITATION-GOVERNOR CONTROL OUTPUT')           PCHMAP   1685
 6240 FORMAT ('1',1X,3('* '),' DEVICE: GENERATOR CONTROL',3('* ')       PCHMAP   1686
     &,/,2X,'BUS#',1X,'STATION NAME',2X,'CID'                           PCHMAP   1687
     &,2X,'VREG',2X,' VSO',2X,'VUAL',2X,' GSO'                          PCHMAP   1688
     &,T71,2X,'BUS#',1X,'STATION NAME',2X,'CID'                         PCHMAP   1689
     &,2X,'VREG',2X,' VSO',2X,'VUAL',2X,' GSO'                          PCHMAP   1690
     &,/,2X,4('-'),1X,12('-'),2X,3('-'),4(2X,4('-'))                    PCHMAP   1691
     &,T71,2X,4('-'),1X,12('-'),2X,3('-'),4(2X,4('-')))                 PCHMAP   1692
 6245 FORMAT('1')                                                       PCHMAP   1693
 6250 FORMAT (1X,I5,1X,3A4,3X,A2,4I6)                                   PCHMAP   1694
 6255 FORMAT (1X,I5,1X,3A4,3X,A2,10(1X,I6))                             PCHMAP   1695
 6260 FORMAT ('+',T71,I6,1X,3A4,3X,A2,4I6)                              PCHMAP   1696
 6270 FORMAT('1',//,50X,40('=')                                         PCHMAP   1697
     &,//,53X,'CHANNEL MAP FOR GOVERNOR VARIABLES'                      PCHMAP   1698
     &,//,50X,40('='),//,40X,'LIST OF SYMBOLS :',/,40X,17('-')          PCHMAP   1699
     &,//,40X,'FACV  --  CONTROL VALVE OUTPUT'                          PCHMAP   1700
     &,//,40X,'FAIV  --  INTERCEPT VALVE OUTPUT'                        PCHMAP   1701
     &,//,40X,' AIV  --  A FUNCTION OF INTERCEPT VALVE'                 PCHMAP   1702
     &,//,40X,' PVP  --  PILOT VALVE POSITION'                          PCHMAP   1703
     &,//,40X,'XVS1  --  INPUT TO CONTROL ANE INTERCEPT VALVES')        PCHMAP   1704
 6280 FORMAT ('1',1X,3('* '),' GOVERNOR VARIABVLES ',3('* ')            PCHMAP   1705
     &,/,2X,'BUS#',1X,'STATION NAME',2X,'CID'                           PCHMAP   1706
     &,2X,'FACV',2X,'FAIV',2X,' AIV',2X,' PVP',2X,'XVS1'                PCHMAP   1707
     &,T71,2X,'BUS#',1X,'STATION NAME',2X,'CID'                         PCHMAP   1708
     &,2X,'FACV',2X,'FAIV',2X,' AIV',2X,' PVP',2X,'XVS1'                PCHMAP   1709
     &,/,2X,4('-'),1X,12('-'),2X,3('-'),5(2X,4('-')),T71,2X,4('-')      PCHMAP   1710
     &,1X,12('-'),2X,3('-'),5(2X,4('-')))                               PCHMAP   1711
 6290 FORMAT (1X,I5,1X,3A4,3X,A2,5I6)                                   PCHMAP   1712
 6300 FORMAT ('+',T71,I6,1X,3A4,3X,A2,5I6)                              PCHMAP   1713
 6330 FORMAT (1X,I5,1X,3A4,3X,A2,10I6)                                  PCHMAP   1714
 6350 FORMAT('1',//,46X,48('=')                                         PCHMAP   1715
     &,//,46X,'CHANNEL MAP FOR GENERATOR & CONTROL Y VARIABLES'         PCHMAP   1716
     &,//,46X,48('='),//,48X,'LIST OF SYMBOLS :',/,48X,17('-')          PCHMAP   1717
     &,//,40X,'GYVA  --  Y VARIABLES NUMBER  ',                         PCHMAP   1718
     &//,3('* '),' GENERATOR & CONTROL Y VARIABLES',3('* '),            PCHMAP   1719
     & /,2X,'BUS#',1X,'STATION NAME',2X,'CID'                           PCHMAP   1720
     &,5(1X,'GYVAR',1X,'CHAN#')                                         PCHMAP   1721
     &,/,2X,4('-'),1X,12('-'),2X,3('-'),10(1X,5('-')))                  PCHMAP   1722
 6360 FORMAT('1',//,46X,42('=')                                         PCHMAP   1723
     &,//,46X,'CHANNEL MAP FOR GENERATOR & CONTROL STATES'              PCHMAP   1724
     &,//,46X,42('='),//,48X,'LIST OF SYMBOLS :',/,48X,17('-')          PCHMAP   1725
     &,//,40X,'STAT  --  STATE NUMBER',//,3('* '),                      PCHMAP   1726
     &' GENERATOR & CONTROL STATE',3('* '),                             PCHMAP   1727
     & /,2X,'BUS#',1X,'STATION NAME',2X,'CID'                           PCHMAP   1728
     &,5(1X,'GYVAR',1X,'CHAN#')                                         PCHMAP   1729
     &,/,2X,4('-'),1X,12('-'),2X,3('-'),10(1X,5('-')))                  PCHMAP   1730
 6370 FORMAT('1',//,50X,40('=')                                         PCHMAP   1731
     &,//,53X,'CHANNEL MAP FOR NONLINEAR LOAD BUS'                      PCHMAP   1732
     &,//,50X,40('='),//,40X,'LIST OF SYMBOLS :',/,40X,17('-')          PCHMAP   1733
     &,//,40X,'VM    --  BUS VOLTAGE MAGNITUDE'                         PCHMAP   1734
     &,//,40X,'CM    --  LOAD CURRENT MAGNITUDE'                        PCHMAP   1735
     &,//,40X,'MW    --  LOAD REAL POWER'                               PCHMAP   1736
     &,//,40X,'MX    --  LOAD REACTIVE POWER'                           PCHMAP   1737
     &,//,40X,'DEF   --  LOAD BUS FREQUENCY')                           PCHMAP   1738
 6380 FORMAT ('1',1X,3('* '),' DEVICE: NONLINEAR LOAD BUS ',3('* ')     PCHMAP   1739
     &,/,2X,'BUS#',1X,'STATION NAME',2X,2X,'  VM',2X,'  CM',2X,'  MW'   PCHMAP   1740
     &,2X,'  MX',2X,' DEF'                                              PCHMAP   1741
     &,T71,2X,'BUS#',1X,'STATION NAME',2X,2X,'  VM',2X,'  CM'           PCHMAP   1742
     &,2X,'  MW',2X,'  MX',2X,' DEF'                                    PCHMAP   1743
     &,/,2X,4('-'),1X,12('-'),2X,5(2X,4('-')),T71,2X,4('-')             PCHMAP   1744
     &,1X,12('-'),2X,5(2X,4('-')))                                      PCHMAP   1745
 6390 FORMAT('1',///,50X,40('='),//,53X,'CHANNEL MAP FOR AREA INTERFACE'PCHMAP   1746
     +,//,50X,40('='),//,40X,'LIST OF SYMBOLS :',/,40X,17('-')          PCHMAP   1747
     &,//,40X,'MW    --  ACTIVE FLOW'                                   PCHMAP   1748
     &,//,40X,'MX    --  REACTIVE FLOW')                                PCHMAP   1749
 6400 FORMAT ('1',1X,3('* '),' DEVICE : AREA INTERFACE ',3('* ')        PCHMAP   1750
     &,/,2X,'FROM',16X,'TO'                                             PCHMAP   1751
     &,/,2(2X,'BUS#',1X,'STATION NAME'),3X,'CID'                        PCHMAP   1752
     &,4X,' MW ',2X,' MX ',2X,'INTERFACE NAME'                          PCHMAP   1753
     &,/,2(2X,4('-'),1X,12('-')),3X,3('-'),1X,2(2X,4('-')),2X,24('-'))  PCHMAP   1754
 6410 FORMAT('+',T46,2I6,2X,6A4,/)                                      PCHMAP   1755
 6420 FORMAT (1X,I5,1X,3A4,2X,5I6)                                      PCHMAP   1756
 6430 FORMAT ('+',T71,I6,1X,3A4,2X,5I6)                                 PCHMAP   1757
 6470 FORMAT(4(1X,A17,3X,I5,4X))                                        PCHMAP   1758
 6480 FORMAT(6(1X,A8,3X,I5,3X))                                         PCHMAP   1759
 6490 FORMAT(1X,A29,7I10)                                               PCHMAP   1760
 6500 FORMAT ('1',//,50X,40('=')                                        PCHMAP   1761
     &,//,57X,'CHANNEL MAP FOR CONVERTER'                               PCHMAP   1762
     &,//,50X,40('='),//,40X,'LIST OF SYMBOLS :',/,40X,17('-')          PCHMAP   1763
     &,//,40X,'PUAC   --  PER UNIT AC VOLTAGE'                          PCHMAP   1764
     &,//,40X,'DCKV   --  DC VOLTAGE IN KV'                             PCHMAP   1765
     &,//,40X,'DCAMP  --  DC CURRENT IN KA'                             PCHMAP   1766
     &,//,40X,'ALPHA  --  ALPHA IN DEGREES'                             PCHMAP   1767
     &,//,40X,'GAMMA  --  GAMMA IN DEGREES'                             PCHMAP   1768
     &,//,40X,'P (MW) --  REAL POWER INJECTION'                         PCHMAP   1769
     &,//,40X,'Q (MX) --  REACTIVE POWER INJECTION')                    PCHMAP   1770
 6600 FORMAT (1H1,67X,' CONVERTER VARIABLES',/,                         PCHMAP   1771
     &       8X,'CONVERTER NAME',13X,'AC PU     DC KV     DC KA',       PCHMAP   1772
     &       '     ALPHA     GAMMA    P (MW)  Q (MVAR)',/,              PCHMAP   1773
     &       1X,29('-'),5X,5('-'),5X,5('-'),5X,5('-'),                  PCHMAP   1774
     &       5X,5('-'),5X,5('-'),4X,6('-'),2X,8('-'))                   PCHMAP   1775
 6610 FORMAT ('1',//,50X,40('=')                                        PCHMAP   1776
     &,//,47X,'CHANNEL MAP FOR CONVERTER CONTROL BLOCK OUTPUT'          PCHMAP   1777
     &,//,50X,40('='),//,40X,'LIST OF SYMBOLS :',/,40X,17('-')          PCHMAP   1778
     &,//,40X,'BLKO  --  CONTROL BLOCK OUTPUT')                         PCHMAP   1779
 6620 FORMAT (1H1,50X,' USER DEFINED DC CONTROL VARIABLES :',/,         PCHMAP   1780
     &4(1X,'VARIABLE NAME',4X,'CHANNEL #',3X),/,4(1X,13('-'),4X,        PCHMAP   1781
     &9('-'),3X))                                                       PCHMAP   1782
 6650 FORMAT (1H1,50X,' DC NODE VOLTAGES:',/,                           PCHMAP   1783
     &6(1X,'NODE NAME',2X,'CHAN #',2X),/,6(1X,9('-'),2X,                PCHMAP   1784
     &6('-'),2X))                                                       PCHMAP   1785
 6630 FORMAT ('1',//,50X,40('=')                                        PCHMAP   1786
     &,//,59X,'CHANNEL MAP FOR DC BUS'                                  PCHMAP   1787
     &,//,50X,40('='),//,40X,'LIST OF SYMBOLS :',/,40X,17('-')          PCHMAP   1788
     &,//,40X,'DCKV  --  DC VOLTAGE IN KV')                             PCHMAP   1789
 6640 FORMAT(1H1)                                                       PCHMAP   1790
 6670 FORMAT ('1',1X,3('* '),' DEVICE:'                                 PCHMAP   1791
     &,' GENERATOR USER DEFINED EXCITER BLOCK OUTPUTS ',3('* ')         PCHMAP   1792
     &,/,2X,'BUS#',1X,'STATION NAME',2X,'CID'                           PCHMAP   1793
     &,5(1X,'BLK #',1X,'CHAN#')                                         PCHMAP   1794
     &,/,2X,4('-'),1X,12('-'),2X,3('-'),10(1X,5('-')))                  PCHMAP   1795
 6680 FORMAT ('1',1X,3('* '),' DEVICE:'                                 PCHMAP   1796
     &,' GENERATOR USER DEFINED STABILIZER BLOCK OUTPUTS ',3('* ')      PCHMAP   1797
     &,/,2X,'BUS#',1X,'STATION NAME',2X,'CID'                           PCHMAP   1798
     &,5(1X,'BLK #',1X,'CHAN#')                                         PCHMAP   1799
     &,/,2X,4('-'),1X,12('-'),2X,3('-'),10(1X,5('-')))                  PCHMAP   1800
 6690 FORMAT ('1',1X,3('* '),' DEVICE:'                                 PCHMAP   1801
     &,' GENERATOR USER DEFINED UNDER EXCITATIN LIMITER BLOCK OUTPUTS ' PCHMAP   1802
     &,3('* '),/,2X,'BUS#',1X,'STATION NAME',2X,'CID'                   PCHMAP   1803
     &,5(1X,'BLK #',1X,'CHAN#')                                         PCHMAP   1804
     &,/,2X,4('-'),1X,12('-'),2X,3('-'),10(1X,5('-')))                  PCHMAP   1805
 6700 FORMAT ('1',1X,3('* '),' DEVICE:'                                 PCHMAP   1806
     &,' GENERATOR USER DEFINED GOVERNOR BLOCK OUTPUTS ',3('* ')        PCHMAP   1807
     &,/,2X,'BUS#',1X,'STATION NAME',2X,'CID'                           PCHMAP   1808
     &,5(1X,'BLK #',1X,'CHAN#')                                         PCHMAP   1809
     &,/,2X,4('-'),1X,12('-'),2X,3('-'),10(1X,5('-')))                  PCHMAP   1810
 6720 FORMAT ('1',1X,3('* '),' DEVICE:'                                 PCHMAP   1811
     &,' USER DEFINED SVC BLOCK OUTPUTS ',3('* ')                       PCHMAP   1812
     &,/,2X,'BUS#',1X,'STATION NAME CID',5(1X,'BLK #',1X,'CHAN#')       PCHMAP   1813
     &,/,2X,4('-'),1X,12('-'),1X,3('-'),10(1X,5('-')))                  PCHMAP   1814
 6725 FORMAT (1X,I5,1X,3A4,2X,A2,10I6)                                  PCHMAP   1815
 6730 FORMAT (1X,I5,1X,3A4,10I6)                                        PCHMAP   1816
 6740 FORMAT ('1',1X,3('* '),' DEVICE :'                                PCHMAP   1817
     &,' USER DEFINED RANI BLOCK OUTPUTS ',3('* ')                      PCHMAP   1818
     &,/,2X,'FROM',16X,'TO'                                             PCHMAP   1819
     &,/,2(2X,'BUS#',1X,'STATION NAME'),3X,'CID'                        PCHMAP   1820
     &,5(1X,'BLK #',1X,'CHAN#')                                         PCHMAP   1821
     &,/,2(2X,4('-'),1X,12('-')),3X,3('-'),10(1X,'-----'))              PCHMAP   1822
 6750 FORMAT(1X,I5,1X,3A4,1X,I5,1X,3A4,4X,A2,10I6)                      PCHMAP   1823
 6760 FORMAT ('1',1X,3('* '),' DEVICE :'                                PCHMAP   1824
     &,' USER DEFINED STC BLOCK OUTPUTS ',3('* ')                       PCHMAP   1825
     &,/,2X,'FROM',16X,'TO'                                             PCHMAP   1826
     &,/,2(2X,'BUS#',1X,'STATION NAME'),3X,'CID'                        PCHMAP   1827
     &,5(1X,'BLK #',1X,'CHAN#')                                         PCHMAP   1828
     &,/,2(2X,4('-'),1X,12('-')),3X,3('-'),10(1X,'-----'))              PCHMAP   1829
 6770 FORMAT ('1',1X,3('* '),' DEVICE :'                                PCHMAP   1830
     &,' USER DEFINED SPS BLOCK OUTPUTS ',3('* ')                       PCHMAP   1831
     &,/,2X,'FROM',16X,'TO'                                             PCHMAP   1832
     &,/,2(2X,'BUS#',1X,'STATION NAME'),3X,'CID'                        PCHMAP   1833
     &,5(1X,'BLK #',1X,'CHAN#')                                         PCHMAP   1834
     &,/,2(2X,4('-'),1X,12('-')),3X,3('-'),10(1X,'-----'))              PCHMAP   1835
 6780 FORMAT ('1',1X,3('* '),' DEVICE:'                                 PCHMAP   1836
     &,' USER DEFINED SDB BLOCK OUTPUTS ',3('* ')                       PCHMAP   1837
     &,/,2X,'BUS#',1X,'STATION NAME',5(1X,'BLK #',1X,'CHAN#')           PCHMAP   1838
     &,/,2X,4('-'),1X,12('-'),10(1X,5('-')))                            PCHMAP   1839
C                                                                       PCHMAP   1840
 6785 FORMAT('1',//,40X,74('=')                                         PCHMAP   1841
     2,//,40X,'CHANNEL MAP FOR FOSSIL FIRED BOILER/COMBUSTION'          PCHMAP   1842
     3,' GAS TURBINE CONTROL SIGNALS',//,40X,74('='),//,50X,            PCHMAP   1843
     4'LIST OF SYMBOLS :',/,50X,17('-')                                 PCHMAP   1844
     5,//,10X,'COUMW  --  MW CONTROLLER OUPUT'                          PCHMAP   1845
     6,T65,'SRAMP  --  FUEL RAMP CONTROLLER OUTPUT '                    PCHMAP   1846
     7,//,10X,'COUTP  --  TP CONTROLLER OUTPUT'                         PCHMAP   1847
     8,T65,'CSPNG  --  NGP CONTROLLER SET PT '                          PCHMAP   1848
     9,//,10X,'COUFW2 --  FW SCOOP CONTROLLER OUTPUT (HIGH LOAD)'       PCHMAP   1849
     *,T65,'COUNG  --  NGP SPEED CONTROLLER OUTPUT ')                   PCHMAP   1850
 6790 FORMAT(//,10X,'COUFWS --  FW SCOOP CONTROLLER OUTPUT'             PCHMAP   1851
     2,T65,'CSPNP  --  NPT SPEED CONTROLLER SET PT '                    PCHMAP   1852
     3,//,10X,'COUEO  --  EO CONTROLLER OUTPUT'                         PCHMAP   1853
     4,T65,'COUNP  --  NPT CONTROLLER OUTPUT '                          PCHMAP   1854
     5,//,10X,'COUSA  --  SA CONTROLLER OUTPUT'                         PCHMAP   1855
     6,T65,'CSPT5  --  T5  TOPPING CONTROLLER '                         PCHMAP   1856
     7,//,10X,'COUF   --  FUEL CONTROLLER OUTPUT'                       PCHMAP   1857
     8,T65,'COUT5  --  T5  TOPPING CONTROLLER OUTPUT '                  PCHMAP   1858
     9,//,10X,'COUFP  --  FP CONTROLLER OUTPUT'                         PCHMAP   1859
     *,T65,'CSLOAD --  LOAD SET POSITION '                              PCHMAP   1860
     1,//,10X,'COUDP  --  DP CONTROLLER OUTPUT'                         PCHMAP   1861
     2,T65,'MODE   --  NPT CONTROL MODE (ISOCHORUS/DROOP) ')            PCHMAP   1862
C                                                                       PCHMAP   1863
 6800 FORMAT (1X,3('* '),' DEVICE: COMBUSTION GAS TURBINE OUTPUT',      PCHMAP   1864
     & 3('* '),/,2X,'BUS#',1X,'STATION NAME',2X,'CID'                   PCHMAP   1865
     &,2X,'  Q45',2X,' Q12N',2X,' Q34N',2X,'  NGP'                      PCHMAP   1866
     &,2X,' DQGP',2X,' DNGP',2X,'QFUEL',2X,'WFUEL',2X,'  YWF',2X,       PCHMAP   1867
     &'  ZWF',/,2X,4('-'),1X,12('-'),2X,3('-'),3X,4('-'),3X,4('-')      PCHMAP   1868
     &,3X,4('-'),4X,3('-'),3X,4('-'),3X,4('-'),2X,5('-'),2X,5('-')      PCHMAP   1869
     &,4X,3('-'),4X,3('-'),/,1X,I5,1X,3A4,3X,A2,10(1X,I6),/)            PCHMAP   1870
 6810 FORMAT (26X,' W61N',2X,' W24N',2X,' W26N',2X,' PPN2'              PCHMAP   1871
     &,2X,' PPN3',2X,' PPN4',2X,' PPN5',2X,' TTN3',2X,' TTN4',2X,       PCHMAP   1872
     &' TTN5',/,27X,4('-'),3X,4('-'),3X,4('-'),3X,4('-'),3X,4('-'),     PCHMAP   1873
     &3X,4('-'),3X,4('-'),3X,4('-'),3X,4('-'),3X,4('-')                 PCHMAP   1874
     &,/,24X,10(1X,I6),/)                                               PCHMAP   1875
 6820 FORMAT (26X,'TTNM4',2X,'TTNM5',2X,'TMCMP',2X,'TMGPT'              PCHMAP   1876
     &,2X,'TMPWT',2X,' ZIGV',2X,' ZBLD'                                 PCHMAP   1877
     &,/,26X,5('-'),2X,5('-'),2X,5('-'),2X,5('-'),2X,5('-'),            PCHMAP   1878
     &3X,4('-'),3X,4('-'),/,24X,10(1X,I6),/)                            PCHMAP   1879
C                                                                       PCHMAP   1880
 6830 FORMAT ('1',1X,3('* '),' DEVICE: COMBUSTION GAS TURBINE CONTROL', PCHMAP   1881
     & 3('* '),/,2X,'BUS#',1X,'STATION NAME',2X,'CID'                   PCHMAP   1882
     &,2X,'SRAMP',2X,'CSPNG',2X,'COUNG',2X,'CSPNP'                      PCHMAP   1883
     &,2X,'COUNP',2X,'CSPT5',2X,'COUT5',1X,'CSLOAD',2X,' MODE'          PCHMAP   1884
     &,/,2X,4('-'),1X,12('-'),2X,3('-'),2X,5('-'),2X,5('-')             PCHMAP   1885
     &,2X,5('-'),2X,5('-'),2X,5('-'),2X,5('-'),2X,5('-'),1X,6('-')      PCHMAP   1886
     &,3X,4('-'))                                                       PCHMAP   1887
 6840 FORMAT (1X,3('* '),' DEVICE: FOSSIL FIRED BOILER OUTPUT',         PCHMAP   1888
     & 3('* '),/,2X,'BUS#',1X,'STATION NAME',2X,'CID'                   PCHMAP   1889
     &,2X,'SWTT ',2X,'SWHPT',2X,'SVGOV',2X,' BLDW'                      PCHMAP   1890
     &,2X,' FWFW',2X,'FNBFP',2X,'  QWC',2X,' HWTA',2X,'  SPD',2X,       PCHMAP   1891
     &'CCVTP',/,2X,4('-'),1X,12('-'),2X,3('-'),2X,4('-'),3X,5('-')      PCHMAP   1892
     &,2X,5('-'),3X,4('-'),3X,4('-'),2X,5('-'),4X,3('-'),3X,4('-')      PCHMAP   1893
     &,4X,3('-'),2X,5('-'),/,1X,I5,1X,3A4,3X,A2,10(1X,I6),/)            PCHMAP   1894
 6850 FORMAT (26X,'STSVI',2X,'SWDSH',2X,'STIVI',2X,'HTETA'              PCHMAP   1895
     &,2X,'  HPF',2X,' HWLK',2X,' AWFF',2X,'QWPAT',2X,' QCRT',2X,       PCHMAP   1896
     &'HXAIR',/,26X,5('-'),2X,5('-'),2X,5('-'),2X,5('-'),4X,3('-'),     PCHMAP   1897
     &3X,4('-'),3X,4('-'),3X,4('-'),3X,4('-'),2X,5('-')                 PCHMAP   1898
     &,/,24X,10(1X,I6),/)                                               PCHMAP   1899
 6860 FORMAT (26X,'HTGOF',2X,'ATSHO',2X,'GTSHO',2X,'FTECO'              PCHMAP   1900
     &,1X,'BWRECN',2X,'BWSTM',2X,' GWFG'                                PCHMAP   1901
     &,/,26X,5('-'),2X,5('-'),2X,5('-'),2X,5('-'),1X,6('-'),            PCHMAP   1902
     &2X,5('-'),3X,4('-'),/,24X,10(1X,I6),/)                            PCHMAP   1903
C                                                                       PCHMAP   1904
 6870 FORMAT ('1',1X,3('* '),' DEVICE: FOSSIL FIRED BOILER CONTROL',    PCHMAP   1905
     & 3('* '),/,2X,'BUS#',1X,'STATION NAME',2X,'CID'                   PCHMAP   1906
     &,2X,'COUMW',2X,'COUTP',1X,'COUFW2',1X,'COUFWS'                    PCHMAP   1907
     &,2X,'COUEO',2X,'COUSA',2X,' COUF',2X,'COUFP',2X,'COUDP'           PCHMAP   1908
     &,/,2X,4('-'),1X,12('-'),2X,3('-'),2X,5('-'),2X,5('-')             PCHMAP   1909
     &,1X,6('-'),1X,6('-'),2X,5('-'),2X,5('-'),3X,4('-'),2X,5('-')      PCHMAP   1910
     &,2X,5('-'))                                                       PCHMAP   1911
 6880 FORMAT('1',//,40X,65('='),//,40X,'CHANNEL MAP FOR FOSSIL',        PCHMAP   1912
     1' FIRED BOILER/COMBUSTION GAS TURBINE OUTPUT'                     PCHMAP   1913
     2,//,40X,65('='),//,55X,'LIST OF SYMBOLS :',/,55X,17('-')          PCHMAP   1914
     3,//,16X,'FOSSIL FIRED BOILER',T80,'COMBUSTION GAS TURBINE'        PCHMAP   1915
     4,/,16X,19('-'),T80,22('-')                                        PCHMAP   1916
     5,//,10X,'SWTT   --  TURBINE POWER (MW)'                           PCHMAP   1917
     6,T65,'Q45    --  TURBINE POWER (MW) '                             PCHMAP   1918
     7,/,10X,'SWHPT  --  FLOW RATE THRU THE HP TURBINE (KG/S)'          PCHMAP   1919
     8,T65,'Q12N   --  COMPRESSOR POWER '                               PCHMAP   1920
     9,/,10X,'SVGOV  --  GOVERNOR VALVE POSITION'                       PCHMAP   1921
     *,T65,'Q34N   --  GAS TURBINE POWER (PU)'                          PCHMAP   1922
     1,/,10X,'BLDW   --  DRUM LEVEL'                                    PCHMAP   1923
     2,T65,'NGP    --  GAS PRODUCER TURBINE SPEED (PU) '                PCHMAP   1924
     3,/,10X,'FWFW   --  FEDDWATER FLOW RATE (KG/SEC)'                  PCHMAP   1925
     4,T65,'DQGP   --  GAS TURBINE ACCELA. POWER')                      PCHMAP   1926
 6890 FORMAT(/,10X,'FNBFP  --  ACTUAL PUMP SPEED (PU)'                  PCHMAP   1927
     1,T65,'DNGP   --  GAS TURBINE ACCELARATION '                       PCHMAP   1928
     2,/,10X,'QWC    --  COAL FLOW RATE (KG/S)'                         PCHMAP   1929
     3,T65,'QFUEL  --  FUEL ENERGY, FULL LOAD '                         PCHMAP   1930
     4,/,10X,'HWTA   --  AIR FLOW RATE INTO FURNACE (KG/S)'             PCHMAP   1931
     5,T65,'WFUEL  --  FUEL FLOW RATE,NORMALIZED '                      PCHMAP   1932
     7,/,10X,'SPD    --  DRUM PRESSURE (KPA)'                           PCHMAP   1933
     8,T65,'YWF    --  ACTUAL FUEL FLOW DEMAND '                        PCHMAP   1934
     9,/,10X,'CCVTP  --  CV, TROTTLE PRESURE (PU)'                      PCHMAP   1935
     *,T65,'ZWF    --  FUEL FLOW (VALVE POSITION) '                     PCHMAP   1936
     1,/,10X,'STSVI  --  STOP VALVE INLET STEAM TEMP.(K)'               PCHMAP   1937
     2,T65,'W61N   --  NORMALIZED FLOW AT LINK-1 '                      PCHMAP   1938
     3,/,10X,'SWDSH  --  DESUPERHEATING SPRAY (KG/S)'                   PCHMAP   1939
     4,T65,'W24N   --  NORMALIZED FLOW AT LINK-6 ')                     PCHMAP   1940
 6900 FORMAT(/,10X,'STIVI  --  INTERCEPT VALVE INLET STEAM TEMP. (K)'   PCHMAP   1941
     2,T65,'W26N   --  NORMALIZED FLOW AT LINK-7 '                      PCHMAP   1942
     3,/,10X,'HTETA  --  BURNER TILT ANGLE (DEG)'                       PCHMAP   1943
     4,T65,'PPN2   --  COMPRESSOR DISCHARGE PRESSURE (KPA)'             PCHMAP   1944
     5,/,10X,'HPF    --  FURNACE PRESSURE (KPA)'                        PCHMAP   1945
     6,T65,'PPN3   --  COMBUSTOR PRESSURE (KPA)'                        PCHMAP   1946
     7,/,10X,'HWLK   --  AIR LEAKAGE INTO FURNACE (KG/S)'               PCHMAP   1947
     8,T65,'PPN4   --  GAS TURBINE PRESSURE (KPA)'                      PCHMAP   1948
     9,/10X,'AWWF   --  WINDBOX-FURNACE AIR FLOW (KG/S)'                PCHMAP   1949
     *,T65,'PPN5   --  POWER TURBINE PRESSURE (KPA) '                   PCHMAP   1950
     1,/,10X,'QWPAT  --  TOTAL PRI. AIR FLOW (KG/S)'                    PCHMAP   1951
     2,T65,'TTN3   --  COMBUSTOR TEMP (K) '                             PCHMAP   1952
     3,/,10X,'QCRT   --  FUEL CONTROL PARAMETER'                        PCHMAP   1953
     4,T65,'TTN4   --  GAS TURBINE TEMP (K) ')                          PCHMAP   1954
 6910 FORMAT(/,10X,'HXAIR  --  EXCESS AIR INTO FURNACE'                 PCHMAP   1955
     1,T65,'TTN5   --  POWER TURBINE TEMP (K) '/                        PCHMAP   1956
     2,/,10X,'HTGOF  --  GAS TEMP. OUTSIDE FLAME (K)'                   PCHMAP   1957
     3,T65,'TTNM4  --  MSRD TEMP, GAS TURBNE (K) '                      PCHMAP   1958
     4,/,10X,'ATSHO  --  AIR TEMP. AT SA HEATER EXIT (K)'               PCHMAP   1959
     5,T65,'TTNM5  --  MSRD TEMP, PWR TURBNE (K) '                      PCHMAP   1960
     6,/,10X,'GTSHO  --  GAS TEMP. SEC. AIR HEATER OUTLET (K)'          PCHMAP   1961
     7,T65,'TMCMP  --  AVG COMPRESSOR METAL TEMP (K)'                   PCHMAP   1962
     8,/,10X,'FTECO  --  FEEDWATER TEMP. AT ECON EXIT (K)'              PCHMAP   1963
     9,T65,'TMGPT  --  AVG GAS TURBINE METAL TEMP (K)'                  PCHMAP   1964
     *,/,10X,'BWRECN --  RECIR. PUMP FLOW (PU)'                         PCHMAP   1965
     1,T65,'TMPWT  --  AVG POWER TURBINE METAL TEMP (K)'                PCHMAP   1966
     2,/,10X,'BWSTM  --  STEAM OUTFLOW FROM DRUM (KG/S)'                PCHMAP   1967
     3,T65,'ZIGV   --  INLET GUIDE VANE POSITION '                      PCHMAP   1968
     4,/,10X,'GWFG   --  TOTAL GAS FLOW RATE (KG/S)'                    PCHMAP   1969
     5,T65,'ZBLD   --  BLEED VALVE POSITION ')                          PCHMAP   1970
C                                                                       PCHMAP   1971
 6920 FORMAT('1',//,40X,45('='),//,40X,'CHANNEL MAP FOR NUCLEAR PWR',   PCHMAP   1972
     1' POWER PLANT MODEL'                                              PCHMAP   1973
     2,//,40X,45('='),//,55X,'LIST OF SYMBOLS :'                        PCHMAP   1974
     3,//,40X,'SWTT    --  TURBINE POWER OUTPUT(MW)'                    PCHMAP   1975
     4,/,40X,'SWHPTN  --  HP TURBINE FLOW RATE (PU)'                    PCHMAP   1976
     5,/,40X,'SWLPTN  --  LP TURBINE FLOW RATE (PU)'                    PCHMAP   1977
     6,/,40X,'SVGOV   --  GOVERNOR VALVE POSITION (PU)'                 PCHMAP   1978
     7,/,40X,'SPDOH   --  DRUM OUTPUT HEADER PRESSURE (KPA)'            PCHMAP   1979
     8,/,40X,'FWFWN   --  FEEDWATER FLOW RATE (PU)'                     PCHMAP   1980
     9,/,40X,'BWSTWN  --  STEAM FLOW OUT OF THE SG (PU)'                PCHMAP   1981
     *,/,40X,'BLSG5L  --  DRUM LEVEL '                                  PCHMAP   1982
     1,/,40X,'RN      --  AVERAGE NEUTRON FLUX (PU)'                    PCHMAP   1983
     2,/,40X,'RZROD   --  D-BANK CONTROL ROD POSITION '                 PCHMAP   1984
     3,/,40X,'HTRO    --  REACTOR OUTLET COOLANT TEMP (K)'              PCHMAP   1985
     4,/,40X,'HPRO    --  REACTOR OUT COOLANT PRESSURE (KPA)'           PCHMAP   1986
     5,/,40X,'HTAVG   --  AVERAGE PHT COOLANT TEMP. (K) '               PCHMAP   1987
     6,/,40X,'HWRCTN  --  PRIMARY COOLANT FLOW THRU THE REACTOR '       PCHMAP   1988
     7,/,40X,'HQSGN   --  THERMAL POWER TO STEAM GENERATOR (PU) '       PCHMAP   1989
     8,/,40X,'HQCN    --  THERMAL POWER TO PHT COOLANT (PU)'            PCHMAP   1990
     9,/,40X,'PPPRZ   --  PRESSURIZER PRESSURE (KPA)')                  PCHMAP   1991
 6940 FORMAT (1X,3('* '),' DEVICE: NUCLEAR PWR POWER PLANT OUTPUT',     PCHMAP   1992
     & 3('* '),/,2X,'BUS#',1X,'STATION NAME',2X,'CID'                   PCHMAP   1993
     &,2X,'SWTT ',2X,' SWHPTN',2X,'SWLPTN',2X,' SVGOV'                  PCHMAP   1994
     &,2X,' SPDOH',2X,' FWFWN',2X,'BWSTMN',2X,'BLSG5L'                  PCHMAP   1995
     &,/,2X,4('-'),1X,12('-'),2X,3('-'),2X,4('-'),4X,6('-')             PCHMAP   1996
     &,2X,6('-'),3X,5('-'),3X,5('-'),3X,5('-'),2X,6('-'),2X,6('-')      PCHMAP   1997
     &,/,1X,I5,1X,3A4,3X,A2,10(2X,I6),/)                                PCHMAP   1998
 6950 FORMAT (26X,'   RN',2X,'RZROD',2X,' HTRO',2X,' HPRO'              PCHMAP   1999
     &,2X,'HTAVG',1X,'HWRCTN',2X,'HQSGN',2X,' HQCN',2X,'PPPRZ',2X       PCHMAP   2000
     &,/,26X,5('-'),2X,5('-'),2X,5('-'),2X,5('-'),2X,5('-'),            PCHMAP   2001
     &1X,6('-'),2X,5('-'),3X,4('-'),2X,5('-')                           PCHMAP   2002
     &,/,24X,10(1X,I6),/)                                               PCHMAP   2003
C                                                                       PCHMAP   2004
C                                                                       PCHMAP   2005
 6960 FORMAT('1',//,40X,47('='),//,40X,'CHANNEL MAP FOR CANDU NUCLEAR', PCHMAP   2006
     1' POWER PLANT MODEL'                                              PCHMAP   2007
     2,//,40X,47('='),//,55X,'LIST OF SYMBOLS :'                        PCHMAP   2008
     3,//,40X,'SWTT    --  TURBINE OUTPUT POWER (MW)'                   PCHMAP   2009
     4,/,40X,'SWHPTN  --  HP TURBINE FLOW RATE (PU)'                    PCHMAP   2010
     5,/,40X,'SWLPTN  --  LP TURBINE FLOW RATE (PU)'                    PCHMAP   2011
     6,/,40X,'SVGOV   --  GOVERNOR VALVE POSITION (PU)'                 PCHMAP   2012
     7,/,40X,'SPDOH   --  DRUM OUTLET HEADER PRESSURE (KPA)'            PCHMAP   2013
     8,/,40X,'FWFWN   --  FEEDWATER FLOW RATE (PU)'                     PCHMAP   2014
     9,/,40X,'BWSTWN  --  STEAM FLOW OUT OF THE SG (PU)')               PCHMAP   2015
 6970 FORMAT(                                                           PCHMAP   2016
     */,40X,'BWRECN  --  RECIRCULATION FLOW (PU) '                      PCHMAP   2017
     1,/,40X,'BWDCN   --  DOWNCOMER FLOW (PU)'                          PCHMAP   2018
     2,/,40X,'BLSG5L  --  DRUM LEVEL '                                  PCHMAP   2019
     3,/,40X,'RN      --  AVERAGE NEUTRON FLUX (PU)'                    PCHMAP   2020
     4,/,40X,'HPRO    --  REACTOR OUTLET COOLANT PRESSURE (KPA)'        PCHMAP   2021
     5,/,40X,'HWRCTN  --  PRIMARY COOLANT FLOW THRU THE REACTOR '       PCHMAP   2022
     7,/,40X,'HQSGN   --  THERMAL POWER STEAM GENERATOR (PU)'           PCHMAP   2023
     6,/,40X,'HQPHN   --  THERMAL POWER TO PREHEATER (PU)'              PCHMAP   2024
     8,/,40X,'HQCN    --  THERMAL POWER TO PHT COOLANT (PU) '           PCHMAP   2025
     9,/,40X,'PPPRZ   --  PRESSURIZER PRESSURE (KPA)')                  PCHMAP   2026
 6980 FORMAT (1X,3('* '),' DEVICE: CANDU NUCLEAR POWER PLANT OUTPUT',   PCHMAP   2027
     & 3('* '),/,2X,'BUS#',1X,'STATION NAME',2X,'CID'                   PCHMAP   2028
     &,2X,'SWTT ',2X,'SWHPTN',2X,'SWLPTN',2X,'SVGOV'                    PCHMAP   2029
     &,2X,'SPDOH',2X,'FWFWN',2X,'BWSTMN',2X,'BWRECN'                    PCHMAP   2030
     &,/,2X,4('-'),1X,12('-'),2X,3('-'),2X,4('-'),3X,6('-')             PCHMAP   2031
     &,2X,6('-'),2X,5('-'),2X,5('-'),2X,5('-'),2X,6('-'),2X,6('-')      PCHMAP   2032
     &,/,1X,I5,1X,3A4,3X,A2,1X,I6,2(2X,I6),3(1X,I6),2(2X,I6),/)         PCHMAP   2033
 6990 FORMAT (26X,'BWDCN',2X,'BLSG5L',2X,'  RN  ',2X,' HPRO'            PCHMAP   2034
     &,2X,'HWRCTN',2X,'HQSGN',2X,'HQPHN',2X,' HQCN',2X,'PPPRZ',2X       PCHMAP   2035
     &,/,26X,5('-'),2X,6('-'),2X,6('-'),3X,4('-'),2X,6('-'),            PCHMAP   2036
     &2X,5('-'),2X,5('-'),3X,4('-'),2X,5('-')                           PCHMAP   2037
     &,/,24X,1X,I6,2(2X,I6),1X,I6,2X,I6,4(1X,I6),/)                     PCHMAP   2038
 7000 FORMAT('1',//,40X,47('='),//,40X,'CHANNEL MAP FOR BWR NUCLEAR',   PCHMAP   2039
     1' POWER PLANT MODEL'                                              PCHMAP   2040
     2,//,40X,47('='),//,55X,'LIST OF SYMBOLS :'                        PCHMAP   2041
     3,//,40X,'SQFN    -- Nuclear Thermal Power (MW)'                   PCHMAP   2042
     4,/,40X,'SQCN    -- Thermal Power Flow from Fuel to Coolant  (MW)' PCHMAP   2043
     5,/,40X,'XFGAV   -- Average Core CoolanT Void Fraction'            PCHMAP   2044
     6,/,40X,'SZB     -- Normalized Start Height of Boiling'            PCHMAP   2045
     7,/,40X,'XXCORO  -- Steam Quality at Core Exit'                    PCHMAP   2046
     8,/,40X,'RTFAV   -- Ave. Fuel Rod Temparature (Kelvin)'            PCHMAP   2047
     9,/,40X,'STCAV   -- Ave. Core Coolant Temperature (Kelvin)')       PCHMAP   2048
 7100 FORMAT(40X,'SPCORE  -- Core Pressure (Kpa)'                       PCHMAP   2049
     1,/,40X,'SPND1   -- Vessel Pressure (Kpa)'                         PCHMAP   2050
     2,/,40X,'SPND2   -- Main Steam Isolation Valve Pressure (Kpa)'     PCHMAP   2051
     3,/,40X,'SPND3   -- Main Stop Valve Pressure (Kpa)'                PCHMAP   2052
     4,/,40X,'SWSTMN  -- Vessel Ex. Stm. Fl. (pu on Rated Steam Flow)'  PCHMAP   2053
     5,/,40X,'FL34    -- Control Valve Flow (pu on Rated Steam Flow)'   PCHMAP   2054
     6,/,40X,'SWRVN   -- Relief Valve Flow (pu on Rated Steam Flow)'    PCHMAP   2055
     7,/,40X,'SWBPSN  -- Bypass Valve Flow (pu on Rated Steam Flow)')   PCHMAP   2056
 7200 FORMAT(40X,'FLMC    -- Recir. Flow (pu on Rated Steam Flow)'      PCHMAP   2057
     1,/,40X,'FLFDWN  -- Feed Water Flow (pu on Rated Steam Flow)'      PCHMAP   2058
     2,/,40X,'SCGOV   -- Control Valve Opening'                         PCHMAP   2059
     3,/,40X,'W16     -- Intercept Valve Openning'                      PCHMAP   2060
     4,/,40X,'SXBV    -- Bypass Valve Openning'                         PCHMAP   2061
     5,/,40X,'SPGN    -- Turbine Output Power (MW)'                     PCHMAP   2062
     6,/,40X,'SLVSNS  -- Sensed Vessel Level (Meters)')                 PCHMAP   2063
 7300 FORMAT (1X,3('* '),' DEVICE: BWR NUCLEAR POWER PLANT ',           PCHMAP   2064
     1 3('* '),/,2X,'BUS#',1X,'STATION NAME',2X,'CID'                   PCHMAP   2065
     2,2X,'  SQFN',2X,'  SQCN',2X,' XFGAV',2X,'   SZB'                  PCHMAP   2066
     3,2X,'XXCORO',2X,' RTFAV',2X,' STCAV',2X,'SPCORE'                  PCHMAP   2067
     4,2X,' SPND1',2X,' SPND2',2X,' SPND3'                              PCHMAP   2068
     4        ,/,2X,'----',1X,'------------',2X,'---'                   PCHMAP   2069
     5,2X,'  ----',2X,'  ----',2X,' -----',2X,'   ---'                  PCHMAP   2070
     6,2X,'------',2X,' -----',2X,' -----',2X,'------'                  PCHMAP   2071
     7,2X,' -----',2X,' -----',2X,' -----'                              PCHMAP   2072
     8,/,1X,I5,1X,3A4,3X,A2,11(2X,I6))                                  PCHMAP   2073
 7400 FORMAT (24X,2X,'SWSTMN',2X,'  FL34',2X,' SWRVN',2X,'SWBPSN'       PCHMAP   2074
     1,2X,'  FLMC',2X,'FLFDWN',2X,' SCGOV',2X,'   W16',2X,'  SXBV'      PCHMAP   2075
     2,2X,'  SPGN',2X,'SLVSNS'                                          PCHMAP   2076
     2,/,     24X,2X,'------',2X,'  ----',2X,' -----',2X,'------'       PCHMAP   2077
     4,2X,'  ----',2X,'------',2X,' -----',2X,'   ---',2X,'  ----'      PCHMAP   2078
     5,2X,'  ----',2X,'------',/,24X,11(2X,I6))                         PCHMAP   2079
C                                                                       PCHMAP   2080
      END                                                               PCHMAP   2081
